<!DOCTYPE HTML>
<?php
	include_once ('libreria/Asignatura.php');
	include_once ('libreria/Curso.php');
	session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Admin - Gestión de asignaturas</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAsignatura');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un alumno seleccionado	

				document.getElementById('nombre').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idA').value = seleccion.options[seleccion.selectedIndex].value;
				

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarAsignaturas.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('selProfesor').value  = Number(result[0]);
                		document.getElementById('selCurso').value  = Number(result[2]);
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('idA').value = "";
        		document.getElementById('nombre').value = "";
                document.getElementById('selProfesor').selectedIndex  = 0;
                document.getElementById('selCurso').selectedIndex  = 0;
                document.getElementById('claveProfesor').value = "";
                document.getElementById('claveCurso').value = "";
                		
        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="AdminInicio.php">Inicio</a></li>
                            <li><a href="AdminProfesores.php">Gestión profesores</a></li>
                            <li><a href="AdminCursos.php">Gestión cursos</a></li>
                            <li class="active"><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
                            <li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
                            <li><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
                            <li><a href="AdminCentro.php">Gestión Centro</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Asignaturas</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="AdminAsignaturas.php">Añadir asignaturas</a></li>
								<li class="fa fa-angle-right"><a href="AdminAsignaturasEditar.php">Editar asignaturas</a></li>
								<li class="fa fa-angle-right"><a href="AdminAsignaturasEliminar.php">Eliminar asignaturas</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Eliminar asignatura</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarAsignaturas.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione una asignatura:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAsignatura' name="selAsignatura" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar asignatura--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
													$asignatura->abrirConexion();
    												$asignatura->cargarAsignaturas();
    												$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" name="identificador" id="identificador" class="form-control" value="3">
            		
        							</div>
        						</div>
								<div class="form-group">
                                    <label class="control-label col-xs-3">Nombre:</label>
                                    <div class="col-xs-9">
                                        <input type="text" name="nombre" id='nombre' class="form-control" required="required" placeholder="Literatura" disabled maxlength="50" size="50">
                                        <input type="hidden" name="idA" id="idA" class="form-control">
                                    </div>

                                </div>
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Seleccione el profesor que la imparte:</label>
                                    <div class="col-xs-3">
                                        
                                        <select class="form-control" id='selProfesor' name="selProfesor">
                                            <option value"0">--Seleccionar profesor--</option>
                                            <?php
                                            	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
                                                	$asignatura->abrirConexion();
                                                	$asignatura->cargarProfesores();
                                                	$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
                                            ?>
                                        </select><input type="hidden" id='claveProfesor' name="claveProfesor" class="form-control">
                    
                                    </div>
                                </div>
                                <div class="form-group">
        							<label class="control-label col-xs-3">Seleccione el curso en el que se va a impartir:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selCurso' name="selCurso">
            								<option value"0">--Seleccionar curso--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $curso = new Curso("");
													$curso->abrirConexion();
    												$curso->cargarCursos();
    												$curso->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='claveCurso' name="claveCurso" class="form-control">
            		
        							</div>
        						</div>

    							<br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Eliminar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
        							</div>
							    </div>-->
							</form>
							<div class="form-group">
                                <div class="col-xs-offset-3 col-xs-9">
                                    <Input type='Button' id="launch-modal" value="Eliminar">
                                    <Input type='Button' id="reset-modal" value="Limpiar">
                                </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea eliminar la asignatura?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
								<p>Asignatura eliminada correctamente</p>
							</div>
							<div id="finishNO">
								<p>ERROR. La asignatura no ha podido aliminarse</p>
							</div>
							<div id="finishNO2">
                                <p>ERROR. Seleccione una asignatura para poder eliminar</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = seleccion=document.getElementById('selAsignatura');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        modal.showModal();
                                    }
                                    else{
                                        location.href = "AdminAsignaturasEliminar.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>