<!DOCTYPE HTML>

<?php
	include ('libreria/Curso.php');
	session_start();
	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Admin - Gestión de asignaturas</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selCurso');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un alumno seleccionado	

				document.getElementById('nombre').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idC').value = seleccion.options[seleccion.selectedIndex].value;

        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('idC').value = "";
        		document.getElementById('nombre').value = "";
                		
        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="AdminInicio.php">Inicio</a></li>
                            <li><a href="AdminProfesores.php">Gestión profesores</a></li>
                            <li class="active"><a href="AdminCursos.php">Gestión cursos</a></li>
                            <li><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
                            <li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
                            <li><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
                            <li><a href="AdminCentro.php">Gestión Centro</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Cursos</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="AdminCursos.php">Añadir cursos</a></li>
								<li class="fa fa-angle-right"><a href="AdminCursosEditar.php">Editar cursos</a></li>
								<li class="fa fa-angle-right"><a href="AdminCursosEliminar.php">Eliminar cursos</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Eliminar curso</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarCursos.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un curso:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selCurso' name="selCurso" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar curso--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $curso = new Curso("");
													$curso->abrirConexion();
    												$curso->cargarCursos();
    												$curso->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }	
    										?>
            							</select><input type="hidden" name="identificador" id="identificador" class="form-control" value="3">
            		
        							</div>
        						</div>
								<div class="form-group">
                                    <label class="control-label col-xs-3">Nombre:</label>
                                    <div class="col-xs-9">
                                        <input type="text" name="nombre" id='nombre' class="form-control" required="required" placeholder="1A" disabled maxlength="50" size="50"> 
                                        <input type="hidden" name="idC" id="idC" class="form-control">
                                    </div>

                                </div>
                                <br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Eliminar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
        							</div>
							    </div>-->
							    
							</form>
							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <button id="launch-modal">Eliminar</button>
                                        <button id="reset-modal">Limpiar</button>
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea eliminar el curso?</p>
                                <button id="accept-modal">Aceptar</button>
                                <button id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
									<p>Curso eliminado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. El curso no ha podido eliminarse</p>
								</div>
							<div id="finishNO2">
                                <p>ERROR. Seleccione un curso para poder eliminar</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = seleccion=document.getElementById('selCurso');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        modal.showModal();
                                    }
                                    else{
                                        location.href = "AdminCursosEliminar.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>        
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>