<!DOCTYPE HTML>

<?php
	include_once ('libreria/Profesor.php');
	include_once ('libreria/Curso.php');
	session_start();
	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Admin - Gestión de profesores</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selProfesor');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un usuario seleccionado	

				document.getElementById('colegiado').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idC').value=seleccion.options[seleccion.selectedIndex].value;

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarProfesores.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
						document.getElementById('nombre').value = result[1];
						document.getElementById('apellidos').value = result[2];
						document.getElementById('direccion').value = result[7];
						document.getElementById('telefono').value = result[5];
						obtenerTutor();
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('colegiado').value = "";
				document.getElementById('nombre').value = "";
				document.getElementById('apellidos').value = "";
				document.getElementById('direccion').value = "";
				document.getElementById('telefono').value = "";
				document.getElementById('idC').value = "";
        		document.getElementById('selCurso').selectedIndex  = 0;
				
        	}

		}

		function obtenerTutor(){

			var seleccion;
			seleccion=document.getElementById('selProfesor');

        		var parametros = {
                	"valor1" : 3,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarProfesores.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		//result=response.split('~');
                		//alert(response);
                		if(response > null){
                			document.getElementById('selCurso').value  = Number(response);
                		}
                		else{
                			document.getElementById('selCurso').selectedIndex  = 0;
                		}
						
                		//$("#email").html(response);
                	}
	        	});
        	
		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="AdminInicio.php">Inicio</a></li>
							<li class="active"><a href="AdminProfesores.php">Gestión profesores</a></li>
							<li><a href="AdminCursos.php">Gestión cursos</a></li>
							<li><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
							<li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
							<li><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
							<li><a href="AdminCentro.php">Gestión Centro</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Profesores</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="AdminProfesores.php">Añadir usuarios</a></li>
								<li class="fa fa-angle-right"><a href="AdminProfesoresEditar.php">Editar profesores</a></li>
								<li class="fa fa-angle-right"><a href="AdminProfesoresEliminar.php">Eliminar profesores</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Editar profesor</h2>
							</header>
							<form method="post" action="libreria/GestionarProfesores.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un profesor:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selProfesor' name="selProfesor" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar profesor--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $usuario = new Profesor("", "", "", "", "", "");
													$usuario->abrirConexion();
    												$usuario->cargarProfesores();
    												$usuario->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='identificador' name="identificador" class="form-control" value="2">
            		
        							</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Colegiado:</label>
        							<div class="col-xs-9">
            							<input type="text" name="colegiado" id="colegiado" class="form-control" required="required" placeholder="12345678A" disabled maxlength="9">
            							<input type="hidden" name="idC" id="idC" class="form-control">
        							</div>

    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Nombre:</label>
        							<div class="col-xs-9">
            							<input type="text" name="nombre" id="nombre" class="form-control" required="required" placeholder="Nombre" disabled maxlength="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Apellidos:</label>
        							<div class="col-xs-9">
            							<input type="text" name="apellidos" id="apellidos" class="form-control" required="required" placeholder="Apellidos" maxlength="50" size="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Dirección:</label>
        							<div class="col-xs-9">
            							<input type="text" name="direccion" id="direccion" class="form-control" required="required" placeholder="Calle nº piso, CP localidad" maxlength="150" size="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Teléfono de contacto:</label>
        							<div class="col-xs-9">
        								<input type="tel" name="telefono" id="telefono" placeholder="675876930" required="required" maxlength="9">
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un curso si es tutor:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selCurso' name="selCurso" required="required">
            								<option value"0">--No es tutor--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $curso = new Curso("");
													$curso->abrirConexion();
    												$curso->cargarCursos();
    												$curso->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='claveCurso' name="claveCurso" class="form-control">
            		
        							</div>
        						</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Editar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Usuario editado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. Tiene que seleccionar un profesor para poder editarlo</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>