<!DOCTYPE HTML>
<?php
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
    <head>
        <title>SIPP - Admin - Gestión de usuarios</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script src="js/skel.min.js"></script>
        <script src="js/skel-panels.min.js"></script>
        <script src="js/init.js"></script>
        <noscript>
            <link rel="stylesheet" href="css/skel-noscript.css" />
            <link rel="stylesheet" href="css/style.css" />
            <link rel="stylesheet" href="css/style-desktop.css" />
        </noscript>
        <meta charset="UTF-8"/>
    </head>
    <body>

    <!-- Header -->
        <div id="header">
            <div id="logo-wrapper">
                <div class="container">
                        
                    <!-- Logo -->
                        <div id="logo">
                            <h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
                            <span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
                        </div>
                    
                </div>
            </div>          
            <div class="container">
                <!-- Nav -->
                    <nav id="nav">
                        <ul>
                            <li><a href="AdminInicio.php">Inicio</a></li>
                            <li><a href="AdminProfesores.php">Gestión profesores</a></li>
                            <li><a href="AdminCursos.php">Gestión cursos</a></li>
                            <li><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
                            <li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
                            <li class="active"><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
                            <li><a href="AdminCentro.php">Gestión Centro</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
                        </ul>
                    </nav>
            </div>
        </div>
    <!-- Header -->
        
    <!-- Banner -->
        <div id="banner">
            <div class="container">
            </div>
        </div>
    <!-- /Banner -->

    <!-- Main -->
        <div id="main">

            <!-- Main Content -->
            <div class="container">
                <div class="row">
                    <div id="sidebar1" class="3u">
                        <section>
                            <header>
                                <h2>Usuarios</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="AdminUsuarios.php">Añadir usuarios</a></li>
                                <li class="fa fa-angle-right"><a href="AdminUsuariosEditar.php">Editar usuarios</a></li>
                                <li class="fa fa-angle-right"><a href="AdminUsuariosEliminar.php">Eliminar usuarios</a></li>
                            </ul>
                        </section>
                    </div>
                
                    <div class="9u skel-cell-important">
                        <section>
                            <header>
                                <h2>Añadir usuario</h2>
                            </header>
                            <form method="post" action="libreria/GestionarUsuarios.php">
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Usuario:</label>
                                    <div class="col-xs-9">
                                        <input type="text" name="username" class="form-control" required="required" placeholder="Usuario" maxlength="9">
                                        <input type="hidden" name="clave" class="form-control" value="1">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Correo electrónico:</label>
                                    <div class="col-xs-9">
                                        <input type="email" name="email" class="form-control" required="required" placeholder="ABC@SIPP.com" maxlength="150" size="50">
                                    </div>
                                </div>
                                <!--<div class="form-group">
                                    <label class="control-label col-xs-3">F. Nacimiento:</label>
                                    <div class="col-xs-3">
                                        <select class="form-control">
                                            <option>Dia</option>
                                        </select>
                                    </div>
                                    <div class="col-xs-3">
                                        <select class="form-control">
                                            <option>Mes</option>
                                        </select>
                                    </div>
                                    <div class="col-xs-3">
                                        <select class="form-control">
                                            <option>Año</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Dirección:</label>
                                    <div class="col-xs-9">
                                        <textarea rows="3" class="form-control" placeholder="Dirección"></textarea>
                                    </div>
                                </div>-->
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Tipo:</label>
                                    <div class="col-xs-2">
                                        <label class="radio-inline">
                                            <input type="radio" name="tipoUsuario" required="required" value="1"> Administrador
                                        </label>
                                    </div>
                                    <div class="col-xs-2">
                                        <label class="radio-inline">
                                            <input type="radio" name="tipoUsuario" required="required" value="2"> Padre
                                        </label>
                                    </div>
                                    <div class="col-xs-2">
                                        <label class="radio-inline">
                                            <input type="radio" name="tipoUsuario" required="required" value="3"> Profesor
                                        </label>
                                    </div>
                                </div>
                                <!--<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <label class="checkbox-inline">
                                            <input type="checkbox" value="news"> Enviar noticias.
                                        </label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <label class="checkbox-inline">
                                            <input type="checkbox" value="agree">  Accepto <a href="#">Terminos y condiciones</a>.
                                        </label>
                                    </div>
                                </div>-->
                                <br>
                                <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <input type="submit" class="btn btn-primary" value="Crear">
                                        <input type="reset" class="btn btn-default" value="Limpiar">
                                        <!--<p id="botton">
                                            <a method="post" class="submit" href="#finish">ENVIAR</a>                           
                                        </p>-->
                                    </div>
                                </div>
                                <div id="finishOK">
                                    <p>Usuario creado correctamente</p>
                                </div>
                                <div id="finishNO">
                                    <p>ERROR. El usuario ya existe</p>
                                </div>
                                <div id="finishNO2">
                                    <p>ERROR. Para añadir un usuario profesor, tiene que existir el profesor</p>
                                </div>
                                <div id="finishNO3">
                                    <p>ADVERTENCIA. Usuario creado pero no se ha podido enviar el correo al usuario con la contraseña</p>
                                </div>
                            </form>
                        </section>
                    </div>
                </div>
            
            </div>
            <!-- /Main Content -->
            
        </div>
    <!-- /Main -->

    <!-- Copyright -->
        <div id="copyright">
            <div class="container">
                <section>
                    SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
                </section>
            </div>
        </div>


    </body>
</html>