<!DOCTYPE HTML>
<?php
	include_once ('libreria/usuario.php');
	session_start();
	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Admin - Gestión de usuarios</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selUsu');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un usuario seleccionado	

				document.getElementById('username').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idUsuario').value = seleccion.options[seleccion.selectedIndex].value;

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"clave" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarUsuarios.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('email').value = result[1];
                		document.getElementsByName('tipoUsuario')[result[2]-1].checked = true;
                        //$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('username').value = "";
				document.getElementById('email').value = "";
				document.getElementsByName('tipoUsuario')[0].checked = false;
				document.getElementsByName('tipoUsuario')[1].checked = false;
				document.getElementsByName('tipoUsuario')[2].checked = false;

        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="AdminInicio.php">Inicio</a></li>
							<li><a href="AdminProfesores.php">Gestión profesores</a></li>
							<li><a href="AdminCursos.php">Gestión cursos</a></li>
							<li><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
							<li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
							<li class="active"><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
							<li><a href="AdminCentro.php">Gestión Centro</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Usuarios</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="AdminUsuarios.php">Añadir usuarios</a></li>
								<li class="fa fa-angle-right"><a href="AdminUsuariosEditar.php">Editar usuarios</a></li>
								<li class="fa fa-angle-right"><a href="AdminUsuariosEliminar.php">Eliminar usuarios</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Editar usuario</h2>
							</header>
							<form method="post" action="libreria/GestionarUsuarios.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un usuario:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selUsu' name="selUsu" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar usuario--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $usuario = new Usuario("", "", "", "");
													$usuario->abrirConexion();
    												$usuario->cargarUsuarios();
    												$usuario->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='clave' name="clave" class="form-control" value="2">
            		
        							</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Usuario:</label>
        							<div class="col-xs-9">
        								<?php
    											
    									?>
            							<input type="text" id="username" name="username" class="form-control" disabled maxlength="9">
            							<input type="hidden" id='idUsuario' name="idUsuario" class="form-control">
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Correo electrónico:</label>
        							<div class="col-xs-9">
            							<input type="email" id="email" name="email" class="form-control" maxlength="150" size="50">

        							</div>
    							</div>
    							<!--<div class="form-group">
        							<label class="control-label col-xs-3">F. Nacimiento:</label>
        							<div class="col-xs-3">
            							<select class="form-control">
                							<option>Dia</option>
            							</select>
        							</div>
        							<div class="col-xs-3">
            							<select class="form-control">
                							<option>Mes</option>
            							</select>
        							</div>
        							<div class="col-xs-3">
            							<select class="form-control">
                							<option>Año</option>
            							</select>
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Dirección:</label>
        							<div class="col-xs-9">
            							<textarea rows="3" class="form-control" placeholder="Dirección"></textarea>
        							</div>
    							</div>-->
    							<div class="form-group">
        							<label class="control-label col-xs-3">Tipo:</label>
        							<div class="col-xs-2">
            							<label class="radio-inline">
                							<input type="radio" id="tipoUsuario" name="tipoUsuario" required="required" value="1" disabled> Administrador
            							</label>
        							</div>
        							<div class="col-xs-2">
            							<label class="radio-inline">
                							<input type="radio" id="tipoUsuario" name="tipoUsuario" required="required" value="2" disabled> Padre
            							</label>
        							</div>
        							<div class="col-xs-2">
            							<label class="radio-inline">
                							<input type="radio" id="tipoUsuario" name="tipoUsuario" required="required" value="3" disabled> Profesor
            							</label>
        							</div>
    							</div>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<label class="checkbox-inline">
                							<input type="checkbox" value="news"> Enviar noticias.
            							</label>
        							</div>
    							</div>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<label class="checkbox-inline">
                							<input type="checkbox" value="agree">  Accepto <a href="#">Terminos y condiciones</a>.
            							</label>
        							</div>
    							</div>-->
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Editar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<!--<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>-->
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Usuario editado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. Tienen que seleccionar un usuario para poder editarlo</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>