<!DOCTYPE HTML>
<?php
	include_once ('libreria/Alumno.php');
	 session_start();
     $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
     if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Padre - Ver Circulares</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAlumno');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un usuario seleccionado	

        		var parametros = {
                	"valor1" : 3,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarCentro.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		if(result != 0){
                			i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selCircular").options[j]=new Option(result[i+1], result[i]);
                				i = i+2;
                				j++;
                			}
                		}
                        //$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('selCircular').options.length = 1;
        		document.getElementById('selCircular').selectedIndex  = 0;
                document.getElementById('titulo').value = "";
				document.getElementById('texto').value = "";
				document.getElementById('idC').value = "";
				
        	}

		}

		function realizaProcesoC(){

			var seleccion;
			seleccion=document.getElementById('selCircular');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un usuario seleccionado	

				document.getElementById('titulo').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idC').value = seleccion.options[seleccion.selectedIndex].value;

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarCentro.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('texto').value = result[1];
                        //$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('selCircular').options.length = 1;
        		document.getElementById('selCircular').selectedIndex  = 0;
                document.getElementById('titulo').value = "";
				document.getElementById('texto').value = "";
				document.getElementById('idC').value = "";
				
        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="PadreInicio.php">Inicio</a></li>
                            <li class="active"><a href="PadreHijos.php">Mis hijos</a></li>
                            <li><a href="PadreDeberes.php">Curso escolar</a></li>
                            <li><a href="PadreMensajes.php">Mensajes</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Información</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="PadreHijos.php">Ver info hijo</a></li>
                                <li class="fa fa-angle-right"><a href="PadreConsultarNotas.php">Consultar notas</a></li>
                                <li class="fa fa-angle-right"><a href="PadreCirculares.php">Ver circulares</a></li>
                                <li class="fa fa-angle-right"><a href="PadreCitas.php">Reservar cita tutor</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Ver circulares</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarCentro.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mis hijos:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumno' name="selAlumno" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar hijo--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
													$alumno->abrirConexion();
    												$alumno->cargarHijos($_SESSION['username']);
    												$alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id="identificador" name="identificador" class="form-control" value="5">
                                        <input type="hidden" name="idPadre" id="idPadre" class="form-control">
            		
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione una circular:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selCircular' name="selCircular" onchange="javascript:realizaProcesoC()">
                							<option value"0">--Seleccionar circular--</option>
                						</select>
        							</div>
        						<div class="col-xs-9">
        								<br>
        								<input type="text" name="titulo" id="titulo" class="form-control" required placeholder="Título" disabled maxlength="50" size="50">
        								<br>
        								<br>
        								<textarea id="texto" name="texto" rows="9" cols="80" required placeholder="Texto de la circular..." disabled></textarea>
            							<input type="hidden" name="idC" id="idC" class="form-control">
        							</div>
								<div class="form-group">
                                    <label class="control-label col-xs-3">Certificado DNI electrónico:</label>
                                    <input type="file" mutliple="false" id="certificado" name="certificado" required/>
                                </div>
                                <br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Firmar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>
        							</div>
							    </div>-->
							</form>
							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Firmar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea firmar la circular?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
								<p>Circular firmada correctamente</p>
							</div>
							<div id="finishNO">
								<p>ERROR. LA circular ya está firmada</p>
							</div>
							<div id="finishNO2">
                                <p>ERROR. El DNI que está utilizando para firmar no corresponde con usted</p>
                            </div>
                            <div id="finishNO3">
                                <p>ERROR. Tiene que seleccionar un hijo, una circular y un certificado para poder firmar la circular</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selAlumno');
                                var seleccion2 = document.getElementById('selCircular');
                                var cert = document.getElementById('certificado');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        if(seleccion2.options[seleccion2.selectedIndex].value > 0){
                                            if(certificado.value != ""){
                                                modal.showModal();
                                            }
                                            else{
                                                location.href = "PadreCirculares.php#finishNO3";
                                            }
                                        }
                                        else{
                                            location.href = "PadreCirculares.php#finishNO3";
                                        }
                                    }
                                    else{
                                        location.href = "PadreCirculares.php#finishNO3";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>