<!DOCTYPE HTML>
<?php
	include_once ('libreria/Alumno.php');
     session_start();
     $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
     if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Padre - Ver examenes corregidos</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<script>

			function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAlumno');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un hijo seleccionado	

        		var parametros = {
                	"valor1" : 8,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarExamenes.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('selExamenes').options.length = 1;
        				document.getElementById('selExamenes').selectedIndex  = 0;
                		if(result != 0){
                			i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selExamenes").options[j]=new Option(result[i+1].concat(" - ", result[i+2]), result[i]);
                				i = i+3;
                				j++;
                			}
                		}
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selExamenes').options.length = 1;
        		document.getElementById('selExamenes').selectedIndex  = 0;
                document.getElementById('tarea').value = "";
                document.getElementById('valor').value = "";	
        		document.getElementById('trimestre').value = "";	
        		document.getElementById('comentarios').value = "";				

        	}

		}

		function realizaProcesoD(){

			var seleccion, seleccion2;
			seleccion=document.getElementById('selAlumno');
			seleccion2=document.getElementById('selExamenes');

			if(seleccion2.options[seleccion2.selectedIndex].value >0){

				//Si hay un hijo seleccionado	

        		var parametros = {
                	"valor1" : 9,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarExamenes.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(response);
                		document.getElementById('tarea').value = result[0];
                		document.getElementById('trimestre').value = result[1];
                		document.getElementById('valor').value = result[2];
                		document.getElementById('comentarios').value = result[3];
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('tarea').value = "";
        		document.getElementById('valor').value = "";	
        		document.getElementById('trimestre').value = "";	
        		document.getElementById('comentarios').value = "";		

        	}

		}

		
		</script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="PadreInicio.php">Inicio</a></li>
							<li><a href="PadreHijos.php">Mis hijos</a></li>
							<li class="active"><a href="PadreDeberes.php">Curso escolar</a></li>
							<li><a href="PadreMensajes.php">Mensajes</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Seguimiento</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="PadreDeberes.php">Ver deberes</a></li>
                                <li class="fa fa-angle-right"><a href="PadreDeberesCorregidos.php">Ver deberes corregidos</a></li>
                                <li class="fa fa-angle-right"><a href="PadreExamenes.php">Ver exámenes</a></li>
                                <li class="fa fa-angle-right"><a href="PadreExamenesCorregidos.php">Ver notas exámenes</a></li>
                                <li class="fa fa-angle-right"><a href="PadreFaltas.php">Ver faltas</a></li>
                            </ul>
                        </section>
					</div>
				<div class="row">
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Ver exámenes corregidos</h2>
							</header>
							<form method="post">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mis hijos:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumno' name="selAlumno" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar hijo--</option>
                							<?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
                                                    $alumno->abrirConexion();
                                                    $alumno->cargarHijos($_SESSION['username']);
                                                    $alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id="identificador" name="identificador" class="form-control" value="2">
                                        <input type="hidden" name="idPadre" id="idPadre" class="form-control">
            		
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Exámenes corregidos:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selExamenes' name="selExamenes" required="required" onchange="javascript:realizaProcesoD()">
            								<option value"0">--Seleccionar examen--</option>
            							</select>
        							</div>
        						</div>
								<div class="form-group">
									<label class="control-label col-xs-3">Tarea:</label>
        							<div class="col-xs-9">
        								<input type="text" name="tarea" id="tarea" class="form-control" required placeholder="Descripción examen" disabled maxlength="150" size="50">
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Nota:</label>
        							<div class="col-xs-9">
            							<input type="number" name="valor" id="valor" step="0.25" min="0" max="10" required="required" placeholder="1.25" disabled>
        							</div>
        							
    							</div>
    							<div class="form-group">
    								<label class="control-label col-xs-3">Comentarios:</label>
        							<div class="col-xs-9">
        								<input type="text" name="comentarios" id="comentarios" class="form-control" required placeholder="Comentarios" disabled>
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Trimestre:</label>
        							<div class="col-xs-3">
            							<input type="text" name="trimestre" id="trimestre" class="form-control" required placeholder="1" disabled maxlength="150" size="50">
        							</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="reset" class="btn btn-default" value="Limpiar">
									</div>
							    </div>
							    <div id="finishOK">
									<p></p>
								</div>
								<div id="finishNO">
									<p></p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>