<!DOCTYPE HTML>

<?php
	include ('libreria/Asignatura.php');
    include ('libreria/Alumno.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Consultar notas alumnos</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

        function realizaProcesoA(){

            var seleccion;
            seleccion=document.getElementById('selAsignaturas');
            var tablaD = document.getElementById("deberes");
            var tablaE = document.getElementById("examenes");
            var trimestre = document.getElementById("Trimestre");
            var nota = document.getElementById("Nota");
            var enviar = document.getElementById("Enviar");
            var obs = document.getElementById("Obs");

            if(seleccion.options[seleccion.selectedIndex].value >0){

                //Si hay un asignatura seleccionado 

                var parametros = {
                    "valor1" : 2,
                    "valor2" : seleccion.options[seleccion.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarInfoAlumnos.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        while(tablaD.rows.length > 1){
                    tablaD.deleteRow(1);
                }
                tablaD.style.display = 'none';
                
                while(tablaE.rows.length > 1){
                    tablaE.deleteRow(1);
                }
                tablaE.style.display = 'none';
                trimestre.style.display = 'none';
                nota.style.display = 'none';
                enviar.style.display = 'none';
                obs.style.display = 'none';
                        document.getElementById('selAlumnos').options.length = 1;
                        document.getElementById('selAlumnos').selectedIndex  = 0;
                        document.getElementById('valor').value = "";
                        document.getElementById('observaciones').value = "";  
                        document.getElementById('valor').disabled = false; 
                        document.getElementById('observaciones').disabled = false; 
                        document.getElementById('selTrimestre').selectedIndex  = 0; 
                        i=0;
                        j=1;
                        while(i<result.length){
                            document.getElementById("selAlumnos").options[j]=new Option(result[i+1] + ", " + result[i+2], result[i]);
                            i = i+3;
                            j++;
                        }
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                document.getElementById('selAlumnos').options.length = 1;
                document.getElementById('selAlumnos').selectedIndex  = 0;
                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                while(tablaD.rows.length > 1){
                    tablaD.deleteRow(1);
                }
                tablaD.style.display = 'none';
                
                while(tablaE.rows.length > 1){
                    tablaE.deleteRow(1);
                }
                tablaE.style.display = 'none';
                trimestre.style.display = 'none';
                nota.style.display = 'none';
                enviar.style.display = 'none';
                obs.style.display = 'none';

                document.getElementById('valor').value = "";
                document.getElementById('observaciones').value = "";  
                document.getElementById('valor').disabled = false; 
                document.getElementById('observaciones').disabled = false; 
                document.getElementById('selTrimestre').selectedIndex  = 0;  
                        
            }

        }

        function realizaProcesoD(){

            var seleccion, seleccion2;
            seleccion=document.getElementById('selAlumnos');
            var idSinEspacios = seleccion.options[seleccion.selectedIndex].value;
            idSinEspacios = $.trim( idSinEspacios );
            seleccion2=document.getElementById('selAsignaturas');
            var tablaD = document.getElementById("deberes");
            var tablaE = document.getElementById("examenes");
            var trimestre = document.getElementById("Trimestre");
            var nota = document.getElementById("Nota");
            var enviar = document.getElementById("Enviar");
            var obs = document.getElementById("Obs");

            if(seleccion.options[seleccion.selectedIndex].value > 0){

                //Si hay un alumno seleccionado
                var parametros = {
                    "valor1" : 6,
                    "valor2" : idSinEspacios,
                    "valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarInfoAlumnos.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                        document.getElementById('valor').value = "";
                        document.getElementById('observaciones').value = "";  
                        document.getElementById('valor').disabled = false; 
                        document.getElementById('observaciones').disabled = false;
                        document.getElementById('selTrimestre').selectedIndex  = 0;   
                        while(tablaD.rows.length > 1){
                            tablaD.deleteRow(1);
                        }
                        tablaD.style.display = 'none';
                        trimestre.style.display = 'none';
                        nota.style.display = 'none';
                        enviar.style.display = 'none';
                        obs.style.display = 'none';
                
                        if(result != 0){
                            tablaD.style.display = 'block';
                            var i = 1, row, m = 0;
                            var cell1, cell2, cell3, cell4;
                        
                            for(j = 1; j<=result.length/4; j++){
                                row = tablaD.insertRow(i);
                                cell1 = row.insertCell(0);
                                cell2 = row.insertCell(1);
                                cell3 = row.insertCell(2);
                                cell4 = row.insertCell(3);
                                cell1.innerHTML = result[m];
                                m++;
                                cell2.innerHTML = result[m];
                                m++;
                                cell3.innerHTML = result[m];
                                if(result[m] < 5.00){
                                    cell1.style.backgroundColor = "#FA5858";
                                    cell2.style.backgroundColor = "#FA5858";
                                    cell3.style.backgroundColor = "#FA5858";
                                    cell4.style.backgroundColor = "#FA5858";
                                }
                                m++;
                                cell4.innerHTML = result[m];
                                m++;
                                i++;
                            }
                        }
                        realizarProcesoE();
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                while(tablaD.rows.length > 1){
                    tablaD.deleteRow(1);
                }
                tablaD.style.display = 'none';

                while(tablaE.rows.length > 1){
                    tablaE.deleteRow(1);
                }
                tablaE.style.display = 'none';

                trimestre.style.display = 'none';
                nota.style.display = 'none';
                enviar.style.display = 'none';
                obs.style.display = 'none';

                document.getElementById('valor').value = "";
                document.getElementById('observaciones').value = "";  
                document.getElementById('valor').disabled = false; 
                document.getElementById('observaciones').disabled = false;  
                document.getElementById('selTrimestre').selectedIndex  = 0; 
                        
            }

        }

        function realizarProcesoE(){

            var seleccion, seleccion2;
            seleccion=document.getElementById('selAlumnos');
            var idSinEspacios = seleccion.options[seleccion.selectedIndex].value;
            idSinEspacios = $.trim( idSinEspacios );
            seleccion2=document.getElementById('selAsignaturas');
            var tablaD = document.getElementById("deberes");
            var tablaE = document.getElementById("examenes");
            var trimestre = document.getElementById("Trimestre");
            var nota = document.getElementById("Nota");
            var enviar = document.getElementById("Enviar");
            var obs = document.getElementById("Obs");

            if(seleccion.options[seleccion.selectedIndex].value > 0){

                //Si hay un alumno seleccionado
                var parametros = {
                    "valor1" : 7,
                    "valor2" : idSinEspacios,
                    "valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarInfoAlumnos.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                        document.getElementById('valor').value = "";
                        document.getElementById('observaciones').value = "";  
                        document.getElementById('valor').disabled = false; 
                        document.getElementById('observaciones').disabled = false;  
                        document.getElementById('selTrimestre').selectedIndex  = 0; 
                        while(tablaE.rows.length > 1){
                            tablaE.deleteRow(1);
                        }
                        tablaE.style.display = 'none';
                        trimestre.style.display = 'none';
                        nota.style.display = 'none';
                        enviar.style.display = 'none';
                        obs.style.display = 'none';
                
                        if(result != 0){
                            tablaE.style.display = 'block';
                            trimestre.style.display = 'block';
                            nota.style.display = 'block';
                            enviar.style.display = 'block';
                            obs.style.display = 'block';
                            var i = 1, row, m = 0;
                            var cell1, cell2, cell3, cell4;
                        
                            for(j = 1; j<=result.length/4; j++){
                                row = tablaE.insertRow(i);
                                cell1 = row.insertCell(0);
                                cell2 = row.insertCell(1);
                                cell3 = row.insertCell(2);
                                cell4 = row.insertCell(3);
                                cell1.innerHTML = result[m];
                                m++;
                                cell2.innerHTML = result[m];
                                m++;
                                cell3.innerHTML = result[m];
                                if(result[m] < 5.00){
                                    cell1.style.backgroundColor = "#FA5858";
                                    cell2.style.backgroundColor = "#FA5858";
                                    cell3.style.backgroundColor = "#FA5858";
                                    cell4.style.backgroundColor = "#FA5858";
                                }
                                m++;
                                cell4.innerHTML = result[m];
                                m++;
                                i++;
                            }
                        }
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                while(tablaD.rows.length > 1){
                    tablaD.deleteRow(1);
                }
                tablaD.style.display = 'none';

                while(tablaE.rows.length > 1){
                    tablaE.deleteRow(1);
                }
                tablaE.style.display = 'none';

                trimestre.style.display = 'none';
                nota.style.display = 'none';
                enviar.style.display = 'none';
                obs.style.display = 'none';
                
                document.getElementById('valor').value = "";
                document.getElementById('observaciones').value = "";  
                document.getElementById('valor').disabled = false; 
                document.getElementById('observaciones').disabled = false;  
                document.getElementById('selTrimestre').selectedIndex  = 0; 
                        
            }

        }

        function realizaProcesoT(){

            var seleccion, seleccion2, seleccion3;
            seleccion=document.getElementById('selAsignaturas');
            seleccion2=document.getElementById('selAlumnos');
            seleccion3=document.getElementById('selTrimestre');
            
            if(seleccion3.options[seleccion3.selectedIndex].value >0){

                //Si hay un asignatura seleccionado 

                var parametros = {
                    "valor1" : 9,
                    "valor2" : seleccion.options[seleccion.selectedIndex].value,
                    "valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                    "valor4" : seleccion3.options[seleccion3.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarInfoAlumnos.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        document.getElementById('valor').value = "";
                        document.getElementById('observaciones').value = "";  
                        document.getElementById('valor').disabled = false; 
                        document.getElementById('observaciones').disabled = false;  
                        if(result != 0){
                            document.getElementById('valor').value = Number(result[0]);
                            document.getElementById('observaciones').value = result[1];   
                            if(Number(result[2]) == seleccion3.options[seleccion3.selectedIndex].value){
                                document.getElementById('valor').disabled = true; 
                                document.getElementById('observaciones').disabled = true; 
                            }     
                        }
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                document.getElementById('valor').value = "";
                document.getElementById('observaciones').value = "";  
                document.getElementById('valor').disabled = false; 
                document.getElementById('observaciones').disabled = false;  
                        
            }

        }
		
		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
                            <li><a href="ProfesorInicio.php">Inicio</a></li>
                            <li class="active"><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
                            <li><a href="ProfesorMensajes.php">Mensajes</a></li>
                            <li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
                            <li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
                            <li><a id="tutor" href="TutorInicio.php">Tutoría</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
                        </ul>
					</nav>
			</div>
		</div>
        <script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Información</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorInfoAlumno.php">Ver info Alumno</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorConsultarNotas.php">Consultar notas</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Faltas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaAnadir.php">Añadir faltas</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaEliminar.php">Ver faltas</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Consultar notas alumno</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarInfoAlumnos.php">
                                <label class="control-label col-xs-3">Mis asignaturas:</label>
                                <div class="col-xs-3">
                                        <select class="form-control" id='selAsignaturas' name="selAsignaturas" required="required"  onchange="javascript:realizaProcesoA()">
                                            <option value"0">--Seleccionar asignatura--</option>
                                            <?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
                                                    $asignatura->abrirConexion();
                                                    $asignatura->cargarAsignaturasProfesor($_SESSION['username']);
                                                    $asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
                                            ?>
                                        </select><input type="hidden" name="identificador" id="identificador" class="form-control" value="4">
                                        <input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
                                    </div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un alumnos:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumnos' name="selAlumnos" onchange="javascript:realizaProcesoD()">
                							<option value"0">--Seleccionar alumno--</option>
            							</select>
            		
        							</div>
        						</div>
								<br>
                                <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <TABLE width=100% name="deberes" id="deberes" hidden>
                                            <CAPTION ALIGN=top>Deberes</CAPTION>
                                            <TR>
                                                <TH style="border: double black; border-collapse: separate;" width=8%><b>Trimestre</b></TH>
                                                <TH style="border: double black; border-collapse: separate;" width=34%>Tarea</TH>
                                                <TH style="border: double black; border-collapse: separate;" width=8%>Nota</TH>
                                                <TH style="border: double black; border-collapse: separate;" width=50%>Comentarios</TH>
                                            </TR>
                                        </TABLE>
                                    </div>
                                </div>
    							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <TABLE width=100% name="examenes" id="examenes" hidden>
                                            <CAPTION ALIGN=top>Examenes</CAPTION>
                                            <TR>
                                                <TH style="border: double black; border-collapse: separate;" width=8%><b>Trimestre</b></TH>
                                                <TH style="border: double black; border-collapse: separate;" width=34%>Examen</TH>
                                                <TH style="border: double black; border-collapse: separate;" width=8%>Nota</TH>
                                                <TH style="border: double black; border-collapse: separate;" width=50%>Comentarios</TH>
                                            </TR>
                                        </TABLE>
                                    </div>
                                </div>
                                <br>
                                <div class="form-group" name="Trimestre" id="Trimestre" hidden>
                                    <label class="control-label col-xs-3">Trimestre:</label>
                                    <div class="col-xs-3">
                                        
                                        <select class="form-control" id='selTrimestre' name="selTrimestre" onchange="javascript:realizaProcesoT()">
                                            <option value"0">--Seleccionar trimestre--</option>
                                            <option value"1">1</option>
                                            <option value"2">2</option>
                                            <option value"3">3</option>
                                            <option value"4">4</option>
                                        </select>
                    
                                    </div>
                                </div>
                                <div class="form-group" name="Nota" id="Nota" hidden>
                                    <label class="control-label col-xs-3">Introduzca la nota final del trimestre:</label>
                                    <div class="col-xs-9">
                                        <input type="number" name="valor" id="valor" step="0.25" min="0" max="10" required="required" placeholder="1.25">
                                    </div>
                                    
                                </div>
                                <div class="form-group" name="Obs" id="Obs" hidden>
                                    <div class="col-xs-9">
                                        <label class="control-label col-xs-3">Observaciones del trimestre</label>
                                        <div class="col-xs-9">
                                            <input type="text" name="observaciones" id="observaciones" class="form-control" required placeholder="Observaciones" maxlength="150" size="50">
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <!--<div class="form-group" name="Enviar" id="Enviar" hidden>
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <input type="submit" class="btn btn-primary" value="Preparar">
                                        <input type="reset" class="btn btn-default" value="Limpiar">
                                        <p id="botton">
                                            <a method="post" class="submit" href="#finish">ENVIAR</a>                           
                                        </p>
                                    </div>
                                </div>-->
							</form>
                            <div class="form-group" name="Enviar" id="Enviar" hidden>
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Preparar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea preparar las notas para este alumno en este trimestre?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
                                <p>Notas preparadas correctamente para este trimestre</p>
                            </div>
                            <div id="finishNO">
                                <p>ERROR. El alumno ya tienes sus notas preparadas y enviadas por el tutor para este trimestre</p>
                            </div>
                            <div id="finishNO2">
                                <p>ERROR. Tiene que seleccionar una asignatura, un alumno, trimestre y los datos de la nota para poder preparar las notas del alumno en un trimestre</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion3 = document.getElementById('selTrimestre');
                                var valor = document.getElementById('valor');
                                var obs = document.getElementById('observaciones');
                                $('#launch-modal').click(function() {
                                    if(seleccion3.options[seleccion3.selectedIndex].value > 0){
                                        if(valor.value > 0.00){
                                            if(obs.value != ""){
                                                modal.showModal();
                                            }
                                            else{
                                                location.href = "ProfesorConsultarNotas.php#finishNO2";
                                            }
                                        }
                                        else{
                                            //alert(valor.value);
                                            location.href = "ProfesorConsultarNotas.php#finishNO2";
                                        }
                                    }
                                    else{
                                        location.href = "ProfesorConsultarNotas.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>