<!DOCTYPE HTML>
<?php
	include_once ('libreria/Asignatura.php');
	include_once ('libreria/Curso.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Gestión de deberes</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<script>

		function realizaProcesoA(){

			var seleccion;
			seleccion=document.getElementById('selAsignaturas');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un asignatura seleccionado	

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarDeberes.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		i=0;
                		j=1;
                		while(i<result.length){
                			document.getElementById("selDeberes").options[j]=new Option(result[i+1], result[i]);
                			i = i+2;
                			j++;
                		}
                		//document.getElementById('selProfesor').value  = Number(result[0]);
                		//document.getElementById('selCurso').value  = Number(result[2]);
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selDeberes').options.length = 1;
        		document.getElementById('selDeberes').selectedIndex  = 0;
        		document.getElementById('tarea').value = "";
                document.getElementById('entrega').value = "";
                document.getElementById('valor').value = "";
                document.getElementById('selTrimestre').selectedIndex  = 0;
                		
        	}

		}

		function realizaProcesoD(){

			var seleccion;
			seleccion=document.getElementById('selDeberes');
            var idSinEspacios = seleccion.options[seleccion.selectedIndex].value;
            idSinEspacios = $.trim( idSinEspacios );

			if(seleccion.options[seleccion.selectedIndex].value > 0){

				//Si hay un deber seleccionado	

				document.getElementById('tarea').value=seleccion.options[seleccion.selectedIndex].text;
				
        		var parametros = {
                	"valor1" : 3,
                	"valor2" : idSinEspacios,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarDeberes.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('entrega').value  = result[1];
                		document.getElementById('valor').value  = result[2];
                		document.getElementById('selTrimestre').value  = Number(result[4]);
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selDeberes').selectedIndex  = 0;
        		document.getElementById('tarea').value = "";
                document.getElementById('entrega').value = "";
                document.getElementById('valor').value = "";
                document.getElementById('selTrimestre').selectedIndex  = 0;
                		
        	}

		}
		

		</script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
		<meta charset="UTF-8"/>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li class="active"><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li><a id="tutor" href="TutorInicio.php">Tutoría</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
        <script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Deberes</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="ProfesorDeberesAnadir.php">Añadir deberes</a></li>
								<li class="fa fa-angle-right"><a href="ProfesorDeberesEditar.php">Editar deberes</a></li>
								<li class="fa fa-angle-right"><a href="ProfesorDeberesEliminar.php">Eliminar deberes</a></li>
								<li class="fa fa-angle-right"><a href="ProfesorDeberesCorregir.php">Corregir deberes</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Eliminar Deberes</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarDeberes.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mis asignaturas:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selAsignaturas' name="selAsignaturas" required="required" onchange="javascript:realizaProcesoA()">
            								<option value"0">--Seleccionar asignaturas--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
													$asignatura->abrirConexion();
    												$asignatura->cargarAsignaturasProfesor($_SESSION['username']);
    												$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select>
        							</div>
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Deberes:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selDeberes' name="selDeberes" required="required" onchange="javascript:realizaProcesoD()">
            								<option value"0">--Seleccionar deber--</option>
            							</select>
        							</div>
        						</div>
								
								<div class="form-group">
								    <label class="control-label col-xs-3">Descripción tarea:</label>
        							<div class="col-xs-9">
            							<input type="text" name="tarea" id="tarea" class="form-control" required="required" placeholder="Nombre" disabled maxlength="150" size="50">
            							<input type="hidden" name="identificador" id="identificador" class="form-control" value="3">
            							<input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Fecha de entrega:</label>
        							<div class="col-xs-9">
            							<input type="date" name="entrega" id="entrega" required="entrega" min="<?php echo date("Y-m-d");?>" disabled>
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Valor:</label>
        							<div class="col-xs-9">
            							<input type="number" name="valor" id="valor" step="0.25" min="0" max="10" required="required" placeholder="1.25" disabled><label class="control-label col-xs-3">   * 0: No cuenta para nota</label>
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un trimestre:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selTrimestre' name="selTrimestre" disabled>
                							<option value"0">--Seleccionar trimestre--</option>
                							<option value"1">1</option>
                							<option value"2">2</option>
                							<option value"3">3</option>
            							</select>
            		
        							</div>
    							<br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Eliminar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>
        							</div>
							    </div>-->
							</form>
                            <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Eliminar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea eliminar este deber?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
                                <p>Deber eliminado correctamente</p>
                            </div>
                            <div id="finishNO">
                                <p>ERROR. El deber no ha podido eliminarse</p>
                            </div>
                            <div id="finishNO2">
                                <p>ERROR. Tiene que seleccionar una asignatura y un deber para poder eliminarlo</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selAsignaturas');
                                var seleccion2 = document.getElementById('selDeberes');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        if(seleccion2.options[seleccion2.selectedIndex].value > 0){
                                            modal.showModal();
                                        }
                                        else{
                                            location.href = "ProfesorDeberesEliminar.php#finishNO2";
                                        }
                                    }
                                    else{
                                        location.href = "ProfesorDeberesEliminar.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>