<!DOCTYPE HTML>
<?php
	include_once ('libreria/Asignatura.php');
	session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Enviar mensaje</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<script>

			function realizaProcesoA(){

			var seleccion;
			seleccion=document.getElementById('selAsignaturas');

			if(seleccion.options[seleccion.selectedIndex].value != 0){

				if(seleccion.options[seleccion.selectedIndex].value == "Tutoría"){

					//Si hay un asignatura seleccionado	

        			var parametros = {
                		"valor1" : 11,
                		"valor2" : 0,
                		"identificador" : 0
       			 	};

        			$.ajax({
                		data:  parametros,
                		url:   'libreria/GestionarMensajes.php',
                		type:  'post',
                		beforeSend: function () {
                        	//$("#email").html("Procesando, espere por favor...");
                		},
                		success:  function (response) {
                			result=response.split('~');
                			//alert(result);
                			document.getElementById('selAlumnos').options.length = 1;
        					document.getElementById('selAlumnos').selectedIndex  = 0;
        					i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selAlumnos").options[j]=new Option(result[i+1] + ", " + result[i+2], result[i]);
                				i = i+3;
                				j++;
                			}
                			//$("#email").html(response);
                		}
	        		});

				}
				else{

					//Si hay un asignatura seleccionado	

        			var parametros = {
                		"valor1" : 2,
                		"valor2" : seleccion.options[seleccion.selectedIndex].value,
                		"identificador" : 0
       			 	};

        			$.ajax({
                		data:  parametros,
                		url:   'libreria/GestionarMensajes.php',
                		type:  'post',
                		beforeSend: function () {
                        	//$("#email").html("Procesando, espere por favor...");
                		},
                		success:  function (response) {
                			result=response.split('~');
                			//alert(result);
                			document.getElementById('selAlumnos').options.length = 1;
        					document.getElementById('selAlumnos').selectedIndex  = 0;
        					i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selAlumnos").options[j]=new Option(result[i+1] + ", " + result[i+2], result[i]);
                				i = i+3;
                				j++;
                			}
                			//$("#email").html(response);
                		}
	        		});

				}

        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selAlumnos').options.length = 1;
        		document.getElementById('selAlumnos').selectedIndex  = 0;
        		document.getElementById('asunto').value = "";
                document.getElementById('texto').value = "";
                		
        	}

		}

		</script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li class="active"><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li><a id="tutor" href="TutorInicio.php">Tutoría</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
		<script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
						<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Mensajes</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorMensajes.php">Mensajes sin leer</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorMensajesTodos.php">Todos los mensajes</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorEnviarMensaje.php">Enviar mensajes</a></li>
                            </ul>
                        </section>
					</div>
				<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Enviar mensaje</h2>
							</header>
							<form method="post" action="libreria/GestionarMensajes.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mis asignaturas:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selAsignaturas' name="selAsignaturas" required="required" onchange="javascript:realizaProcesoA()">
            								<option value"0">--Seleccionar asignaturas--</option>
            								<option value"Tutor">Tutoría</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
													$asignatura->abrirConexion();
    												$asignatura->cargarAsignaturasProfesor($_SESSION['username']);
    												$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        							</div>
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Selecciona el alumno al que enviar el mensaje:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selAlumnos' name="selAlumnos" required="required">
            								<option value"0">--TODOS LOS ALUMNOS--</option>
            							</select>
        							</div>
        						</div>
								<div class="form-group">
        							<div class="col-xs-9">
        								<label class="control-label col-xs-3">Introduzca un asunto para el mensaje</label>
        								<br>
        								<input type="text" name="asunto" id="asunto" class="form-control" required placeholder="Título" maxlength="150" size="75">
        								<input type="hidden" name="identificador" id="identificador" class="form-control" value="1">
        								<br>
        								<br>
        								<textarea id="texto" name="texto" rows="9" cols="100" required placeholder="Introduzca aquí el mensaje..."></textarea>
            							<input type="hidden" name="idM" id="idM" class="form-control">
        							</div>
    							</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Enviar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
									</div>
							    </div>
							    <div id="finishOK">
									<p>Mensaje enviado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. Para enviar un mensaje tiene que seleccionar el destinatario de este</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>