<!DOCTYPE HTML>
<?php
	include ('libreria/Asignatura.php');
    include ('libreria/Alumno.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Ver información alumnos</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

        function realizaProcesoA(){

            var seleccion;
            seleccion=document.getElementById('selAsignaturas');

            if(seleccion.options[seleccion.selectedIndex].value >0){

                //Si hay un asignatura seleccionado 

                var parametros = {
                    "valor1" : 2,
                    "valor2" : seleccion.options[seleccion.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarInfoAlumnos.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        i=0;
                        j=1;
                        while(i<result.length){
                            document.getElementById("selAlumnos").options[j]=new Option(result[i+1] + ", " + result[i+2], result[i]);
                            i = i+3;
                            j++;
                        }
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                document.getElementById('dniA').value = "";
                document.getElementById('idA').value = "";
                document.getElementById('nombre').value = "";
                document.getElementById('apellidos').value = "";
                document.getElementById('fechaNacimiento').value = "";
                document.getElementById('direccion').value = "";
                document.getElementById('telefono1').value = "";
                document.getElementById('telefono2').value = "";
                document.getElementById('claveM').value = "";
                document.getElementById('claveP').value = "";
                document.getElementById('selCurso').selectedIndex  = 0;
                document.getElementById('claveCurso').value = "";
                document.getElementById('dniM').value  = "";
                document.getElementById('dniP').value  = "";
                document.getElementById('selAlumnos').options.length = 1;
                document.getElementById('selAlumnos').selectedIndex  = 0;
                        
            }

        }

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAlumnos');
            var idSinEspacios = seleccion.options[seleccion.selectedIndex].value;
            idSinEspacios = $.trim( idSinEspacios );

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un alumno seleccionado	

				document.getElementById('dniA').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idA').value = seleccion.options[seleccion.selectedIndex].value;

        		var parametros = {
                	"valor1" : 4,
                	"valor2" : idSinEspacios,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarInfoAlumnos.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('nombre').value = result[1];
                		document.getElementById('apellidos').value = result[3];
                		document.getElementById('fechaNacimiento').value = result[5];
                		document.getElementById('direccion').value = result[7];
                		document.getElementById('telefono1').value = result[9];
                		document.getElementById('telefono2').value = result[11];
                		document.getElementById('claveM').value = result[13];
                		document.getElementById('claveP').value = result[15];
                        document.getElementById('selCurso').value = Number(result[17]);
                        /*val = result[17];
                        //var Elementos  = document.getElementsByTagName("selCurso");
                        for (var i  = 1; i  < document.getElementById("selCurso").options.length; i++)  {
                            val2 = document.getElementById("selCurso").options[i].value;
                            if (Number(val2)  == Number(val))  {
                                document.getElementById("selCurso").selectedIndex  = i;
                            }
                        }*/
                        obtenerTutores();
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('dniA').value = "";
				document.getElementById('idA').value = "";
        		document.getElementById('nombre').value = "";
                document.getElementById('apellidos').value = "";
                document.getElementById('fechaNacimiento').value = "";
                document.getElementById('direccion').value = "";
                document.getElementById('telefono1').value = "";
                document.getElementById('telefono2').value = "";
                document.getElementById('claveM').value = "";
                document.getElementById('claveP').value = "";
                document.getElementById('selCurso').selectedIndex  = 0;
                document.getElementById('claveCurso').value = "";
                document.getElementById('dniM').value  = "";
                document.getElementById('dniP').value  = "";
                		
        	}

		}

		function obtenerTutores(){

        		var parametros = {
                	"valor1" : 5,
                	"valor2" : document.getElementById('claveM').value,
                	"valor3" : document.getElementById('claveP').value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarInfoAlumnos.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
            			if(document.getElementById('claveM').value > 0){
            				document.getElementById('dniM').value  = result[0];
            			}
            			else{
            				document.getElementById('dniM').value  = "";
            			}
                		if(document.getElementById('claveP').value > 0){
                			document.getElementById('dniP').value = result[1];
                		}
                		else{
                			document.getElementById('dniP').value = "";
                		}
                        //$("#email").html(response);
                	}
	        	});
        	
        	
		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
                            <li><a href="ProfesorInicio.php">Inicio</a></li>
                            <li class="active"><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
                            <li><a href="ProfesorMensajes.php">Mensajes</a></li>
                            <li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
                            <li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
                            <li><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
                        </ul>
					</nav>
			</div>
		</div>
        <script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Información</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorInfoAlumno.php">Ver info Alumno</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorConsultarNotas.php">Consultar notas</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Faltas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaAnadir.php">Añadir faltas</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaEliminar.php">Ver faltas</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Ver info alumno</h2>
							</header>
							<form method="post" action="libreria/GestionarInfoAlumnos.php">
                                <label class="control-label col-xs-3">Mis asignaturas:</label>
                                <div class="col-xs-3">
                                        <select class="form-control" id='selAsignaturas' name="selAsignaturas" required="required"  onchange="javascript:realizaProcesoA()">
                                            <option value"0">--Seleccionar asignatura--</option>
                                            <?php 
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
                                                    $asignatura->abrirConexion();
                                                    $asignatura->cargarAsignaturasProfesor($_SESSION['username']);
                                                    $asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
                                            ?>
                                        </select><input type="hidden" name="identificador" id="identificador" class="form-control" value="2">
                                        <input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
                                    </div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un alumnos:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumnos' name="selAlumnos" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar alumno--</option>
            							</select>
            		
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">DNI Alumno:</label>
        							<div class="col-xs-9">
            							<input type="text" name="dniA" id="dniA" class="form-control" required="required" placeholder="12345678A" disabled maxlength="9">
            							<input type="hidden" name="idA" id="idA" class="form-control">
        							</div>

    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Nombre:</label>
        							<div class="col-xs-9">
            							<input type="text" name="nombre" id="nombre" class="form-control" required="required" placeholder="Nombre" disabled maxlength="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Apellidos:</label>
        							<div class="col-xs-9">
            							<input type="text" name="apellidos" id="apellidos" class="form-control" required="required" placeholder="Apellidos" disabled maxlength="50" size="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Fecha de nacimiento:</label>
        							<div class="col-xs-9">
            							<input type="date" name="fechaNacimiento" id="fechaNacimiento" required="required" disabled>
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Dirección:</label>
        							<div class="col-xs-9">
            							<input type="text" name="direccion" id="direccion" class="form-control" required="required" placeholder="Calle nº piso, CP localidad" disabled maxlength="150" size="50">
        							</div>
        							
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Teléfonos de contacto:</label>
        							<div class="col-xs-9">
        								<input type="tel" name="telefono1" id="telefono1" placeholder="675876930" required="required" disabled maxlength="9">
        							</div>
        							<div class="col-xs-9">
        								<input type="tel" name="telefono2" id="telefono2" placeholder="675876930" disabled maxlength="9">
        							</div>
    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">DNI Padre, Madre o tutor:</label>
        							<div class="col-xs-9">
            							<input type="text" name="dniM" id="dniM" class="form-control" required="required" placeholder="12345678A" disabled maxlength="9">
            							<input type="hidden" name="claveM" id="claveM" class="form-control">
        							</div>

    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">DNI Padre, Madre o tutor:</label>
        							<div class="col-xs-9">
            							<input type="text" name="dniP" id="dniP" class="form-control" placeholder="12345678A" disabled maxlength="9">
            							<input type="hidden" name="claveP" id="claveP" class="form-control">
        							</div>

    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione un curso:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id="selCurso" name="selCurso" disabled>
                							<option value"0">--Seleccionar curso--</option>
                							<?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
                                                    $alumno->abrirConexion();
                                                    $alumno->cargarCursos();
                                                    $alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" name="claveCurso" id='claveCurso' name="clave" class="form-control">
            		
        							</div>
        						</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="reset" class="btn btn-default" value="Limpiar">
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Alumno editado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. El alumno no ha podido editarse</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>