<!DOCTYPE HTML>
<?php
	include_once ('libreria/Alumno.php');
	session_start();
	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Responder mensaje</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<script>

			
		</script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
                            <li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
                            <li class="active"><a href="ProfesorMensajes.php">Mensajes</a></li>
                            <li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
                            <li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
                            <li><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
		<script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Mensajes</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorMensajes.php">Mensajes sin leer</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorMensajesTodos.php">Todos los mensajes</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorEnviarMensaje.php">Enviar mensajes</a></li>
                            </ul>
                        </section>
					</div>
				<div class="row">
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Responder mensaje</h2>
							</header>
							<form method="post" action="libreria/GestionarMensajes.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Asignatura desde la que enviar el mensaje:</label>
        							<div class="col-xs-3">
        								<input type="text" name="asignatura" id="asignatura" class="form-control" value="<?php
        										if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
        											if(isset($_SESSION['tutor']) && $_SESSION['tutor'] == 1){
                                                        echo 'Tutoría';
                                                    }
                                                    else{
                                                    	$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
														$alumno->abrirConexion();
    													$alumno->cargarNombreAsignatura($_SESSION['asignatura']);
    													$alumno->cerrarConexion();
    												}
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>" disabled>
                                        <input type="hidden" name="idPadre" id="idPadre" class="form-control">
                                        <input type="hidden" name="selAsignaturas" id="selAsignaturas" class="form-control" value="<?php 
                                                        echo $_SESSION['asignatura']; ?>">
            						</div>
        						
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Alumno:</label>
        							<div class="col-xs-3">
            							<input type="text" name="hijo" id="hijo" class="form-control" value="<?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
													$alumno->abrirConexion();
    												$alumno->cargarNombreAlumno($_SESSION['alumno']);
    												$alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>" disabled>
    										<input type="hidden" name="selAlumno" id="selAlumno" class="form-control" value="<?php 
                                                        echo $_SESSION['alumno']; ?>">
        							</div>
        						</div>
        						<div class="form-group">
        							<div class="col-xs-9">
        								<label class="control-label col-xs-3">Introduzca un asunto para el mensaje</label>
        								<br>
        								<input type="text" name="asunto" id="asunto" class="form-control" required placeholder="Título" maxlength="150" size="75">
        								<br>
        								<br>
        								<textarea id="texto" name="texto" rows="9" cols="100" required placeholder="Introduzca aquí el mensaje..."></textarea>
            							<input type="hidden" name="idM" id="idM" class="form-control">
            							<input type="hidden" id="identificador" name="identificador" class="form-control" value="1">
        							</div>
    							</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Enviar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
									</div>
							    </div>
							    <div id="finishOK">
									<p>Mensaje enviado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. El mensaje no ha podido enviarse</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>