<!DOCTYPE HTML>
<?php
	include_once ('libreria/Circular.php');
	session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Enviar Circulares</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

		function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selCircular');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un usuario seleccionado	

				document.getElementById('titulo').value=seleccion.options[seleccion.selectedIndex].text;
				document.getElementById('idC').value = seleccion.options[seleccion.selectedIndex].value;

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarCentro.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('texto').value = result[1];
                        //$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento que no es usuario, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un usuario
        		document.getElementById('titulo').value = "";
				document.getElementById('texto').value = "";
				document.getElementById('idC').value = "";
				
        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li class="active"><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
		<script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Circulares</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorEnviarCirculares.php">Enviar Circulares</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Citas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorVerCitas.php">Ver citas reservadas</a></li>
                                <li class="fa fa-angle-right"><a href="TutorGestionarHoras.php">Gestionar horas disponibles</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Notas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorGestionarHoras.php">Preparar Notas Finales</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Enviar circular</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarCentro.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione una circular a enviar a los alumnos que tutoriza:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selCircular' name="selCircular" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar circular--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $circular = new Circular("", "");
													$circular->abrirConexion();
    												$circular->cargarCirculares();
    												$circular->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select>
        							</div>
        						<div class="col-xs-9">
        								<br>
        								<input type="text" name="titulo" id="titulo" class="form-control" required placeholder="Título" disabled maxlength="50" size="50">
        								<input type="hidden" name="identificador" id="identificador" class="form-control" value="4">
        								<br>
        								<br>
        								<textarea id="texto" name="texto" rows="9" cols="80" required placeholder="Texto de la circular..." disabled></textarea>
            							<input type="hidden" name="idC" id="idC" class="form-control">
            							<input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        							</div>
								<br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Enviar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>
        							</div>
							    </div>-->
							</form>
							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Enviar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea enviar esta circular a todos los alumnos que tutoriza?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
								<p>Circular enviada correctamente</p>
							</div>
							<div id="finishNO">
								<p>ERROR. LA circular no ha podido enviarse</p>
							</div>
							<div id="finishNO2">
                                <p>ERROR. Tiene que seleccionar una circular para poder enviarla</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selCircular');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        modal.showModal();
                                    }
                                    else{
                                        location.href = "TutorEnviarCirculares.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>