<!DOCTYPE HTML>
<?php
	include_once ('libreria/Hora.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Ver Citas</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

			function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAlumno');
			
			if(seleccion.options[seleccion.selectedIndex].value > 0){

				//Si hay un asignatura seleccionado	

        		var parametros = {
                	"valor1" : 8,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarTutoria.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		if(result != 0){
                			document.getElementById('alumno').value = result[0].concat(result[1]);
                			document.getElementById('fecha').value = result[2];
                			document.getElementById('hora').value = result[3];
                			document.getElementById('motivo').value = result[4];
                		}
                		else{
                			document.getElementById('alumno').value = "";
                			document.getElementById('fecha').value = "";
                			document.getElementById('hora').value = "";
                			document.getElementById('motivo').value = "";
                		}
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('alumno').value = "";
                document.getElementById('fecha').value = "";
                document.getElementById('hora').value = "";
                document.getElementById('motivo').value = "";
        						
        	}

		}

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li class="active"><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
        <script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Circulares</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorEnviarCirculares.php">Enviar Circulares</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Citas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorVerCitas.php">Ver citas reservadas</a></li>
                                <li class="fa fa-angle-right"><a href="TutorGestionarHoras.php">Gestionar horas disponibles</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Notas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorGestionarHoras.php">Preparar Notas Finales</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Ver Citas con Padres</h2>
							</header>
							<form method="post" action="libreria/GestionarTutoria.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Horarios reservados:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumno' name="selAlumno" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar horas--</option>
                							<?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $hora = new Hora("", "");
                                                    $hora->abrirConexion();
                                                    $hora->cargarHorasReservadas($_SESSION['username']);
                                                    $hora->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id="identificador" name="identificador" class="form-control" value="5">
                                        <input type="hidden" name="idPadre" id="idPadre" class="form-control">
            		
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Alumno:</label>
        							<div class="col-xs-3">
            							<input type="text" name="alumno" id="alumno" class="form-control" disabled maxlength="75">
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Fecha:</label>
        							<div class="col-xs-3">
            							<input type="text" name="fecha" id="fecha" class="form-control" disabled maxlength="12">
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Hora:</label>
        							<div class="col-xs-3">
            							<input type="text" name="hora" id="hora" class="form-control" disabled maxlength="12">
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Motivo de la cita:</label>
        							<div class="col-xs-3">
            							<input type="text" name="motivo" id="motivo" class="form-control" disabled maxlength="75" size="75">
        						</div>
        						<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<!--<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>-->
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Hora añadida correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. LA hora ya existe</p>
								</div>
							</form>
						</section>
						</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>