<?php
include_once('ConexionBase.php');

class Alumno{

	public $dniAlumno;
	public $nombre;
	public $apellidos;
	public $fechaNacimiento;
	public $direccion;
	public $telefono1;
	public $telefono2;
	public $dniMadre;
	public $dniPadre;
	public $idCurso;

	public function Alumno($dniA, $nombre, $apellidos, $fechaNacimiento, $direccion, $tel1, $tel2, $dniM, $dniP, $idCurso){

		$this->dniAlumno = $dniA;
		$this->nombre = $nombre;
		$this->apellidos = $apellidos;
		$this->fechaNacimiento = $fechaNacimiento;
		$this->direccion = $direccion;
		$this->telefono1 = $tel1;
		$this->telefono2 = $tel2;
		$this->dniMadre = $dniM;
		$this->dniPadre = $dniP;
		$this->idCurso = $idCurso;

	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearAlumno(){

		/*SLV - Comprobar si el alumno ya existe*/
		$this->miconexion->consulta("SELECT DNI FROM alumno WHERE DNI='".$this->dniAlumno."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Alumno, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO alumno (DNI, Nombre, Apellidos, FechaNacimiento, Direccion, Telefono1, Telefono2, IdCurso) VALUES ('".$this->dniAlumno."', '".$this->nombre."', '".$this->apellidos."', '".$this->fechaNacimiento."', '".$this->direccion."', '".$this->telefono1."', '".$this->telefono2."', '".$this->idCurso."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function certificarPadre($dniCert, $id){

		/*SLV - Comprobar si el dni del certificado es el mismo que el dni del padre identificado*/
		$this->miconexion->consulta("SELECT usuario from usuario WHERE usuario='".$dniCert."' and idUsuario=".$id."");
		$numReg = $this->miconexion->numRegistros();

		return $numReg;

	}

	public function crearFalta($idAs, $idAl, $fecha){

		/*SLV - Comprobar si la falta ya existe*/
		$this->miconexion->consulta("SELECT * FROM faltaAlumnoEnAsignatura WHERE idAlumno=".$idAl." AND idAsignatura=".$idAs." AND fecha='".$fecha."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Alumno, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO faltaAlumnoEnAsignatura (idAlumno, idAsignatura, fecha) VALUES (".$idAl.", ".$idAs.", '".$fecha."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function insertarNota($idAl, $idAs, $ano, $trimestre, $nota, $obs){

		//SLV
		if($trimestre == 1){
			$result = $this->miconexion->consulta("INSERT INTO notaalumnoenasignatura (idAlumno, idAsignatura, ano, nota1, Observaciones1) VALUES (".$idAl.", ".$idAs.", '".$ano."', ".$nota.", '".$obs."')");
		}
		else if($trimestre == 2){
			$result = $this->miconexion->consulta("INSERT INTO notaalumnoenasignatura (idAlumno, idAsignatura, ano, nota2, Observaciones2) VALUES (".$idAl.", ".$idAs.", '".$ano."', ".$nota.", '".$obs."')");
		}
		else if($trimestre == 3){
			$result = $this->miconexion->consulta("INSERT INTO notaalumnoenasignatura (idAlumno, idAsignatura, ano, nota3, Observaciones3) VALUES (".$idAl.", ".$idAs.", '".$ano."', ".$nota.", '".$obs."')");
		}
		else if($trimestre == 4){
			$result = $this->miconexion->consulta("INSERT INTO notaalumnoenasignatura (idAlumno, idAsignatura, ano, final, ObservacionesFinal) VALUES (".$idAl.", ".$idAs.", '".$ano."', ".$nota.", '".$obs."')");
		}
		
		return $result;

	}

	public function editarNotaAlumno($idAl, $idAs, $ano, $trimestre, $nota, $obs){

		//SLV
		if($trimestre == 1){
			$result = $this->miconexion->consulta("UPDATE notaalumnoenasignatura SET nota1=".$nota.", Observaciones1='".$obs."' WHERE idAlumno=".$idAl." and idAsignatura=".$idAs." AND ano='".$ano."'");
		}
		else if($trimestre == 2){
			$result = $this->miconexion->consulta("UPDATE notaalumnoenasignatura SET nota2=".$nota.", Observaciones2='".$obs."' WHERE idAlumno=".$idAl." and idAsignatura=".$idAs." AND ano='".$ano."'");
		}
		else if($trimestre == 3){
			$result = $this->miconexion->consulta("UPDATE notaalumnoenasignatura SET nota3=".$nota.", Observaciones3='".$obs."' WHERE idAlumno=".$idAl." and idAsignatura=".$idAs." AND ano='".$ano."'");
		}
		else if($trimestre == 4){
			$result = $this->miconexion->consulta("UPDATE notaalumnoenasignatura SET final=".$nota.", ObservacionesFinal='".$obs."' WHERE idAlumno=".$idAl." and idAsignatura=".$idAs." AND ano='".$ano."'");
		}
		
		return $result;

	}

	public function cargarFaltas($idAl, $idAs){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT justificacion, fecha FROM faltaAlumnoEnAsignatura WHERE idAsignatura='".$idAs."' AND idalumno='".$idAl."' order by fecha asc");
		$campo = $this->miconexion->verconsulta3();
		return $campo;

	}

	public function cargarDatosNotas($idAs, $idAl, $trimestre){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		if($trimestre == 1){
			$this->miconexion->consulta("SELECT nota1, observaciones1, enviada FROM notaAlumnoEnAsignatura WHERE idAsignatura=".$idAs." AND idalumno=".$idAl." and nota1 > 0.00");
		}
		else if($trimestre == 2){
			$this->miconexion->consulta("SELECT nota2, observaciones2, enviada FROM notaAlumnoEnAsignatura WHERE idAsignatura=".$idAs." AND idalumno=".$idAl." and nota2 > 0.00");
		}
		else if ($trimestre == 3){
			$this->miconexion->consulta("SELECT nota3, observaciones3, enviada FROM notaAlumnoEnAsignatura WHERE idAsignatura=".$idAs." AND idalumno=".$idAl." and nota3 > 0.00");
		}
		else{
			$this->miconexion->consulta("SELECT final, observacionesFinal, enviada FROM notaAlumnoEnAsignatura WHERE idAsignatura=".$idAs." AND idalumno=".$idAl." and final > 0.00");
		}
		
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}


	public function editarAlumno($id){

		/*SLV - Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniMadre."'");
		$idUsuM = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniPadre."'");
		$idUsuP = $this->miconexion->obtenerCampo();

		/*Actualizamos registro*/
		$this->miconexion->consulta("UPDATE alumno SET apellidos='".$this->apellidos."', direccion='".$this->direccion."', telefono1='".$this->telefono1."', telefono2='".$this->telefono2."', IdUsuario1='".$idUsuM."', IdUsuario2='".$idUsuP."', idCurso='".$this->idCurso."' WHERE idAlumno=".$id."");
		
	}

	public function editarHijo($id){

		/*Actualizamos registro*/
		$this->miconexion->consulta("UPDATE alumno SET apellidos='".$this->apellidos."', direccion='".$this->direccion."', telefono1='".$this->telefono1."', telefono2='".$this->telefono2."' WHERE idAlumno=".$id."");
		
	}


	public function eliminarFalta($idAs, $idAl, $fecha){

		/*SLV - Actualizamos registro*/
		$this->miconexion->consulta("DELETE FROM faltaAlumnoEnAsignatura WHERE idAlumno=".$idAl." AND idAsignatura=".$idAs." AND fecha='".$fecha."'");
		
	}


	public function obtenerDNIUsuario($id){

		/*SLV - Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function actualizarTutores($id){

		/*SLV - Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniMadre."'");
		$idUsuM = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniPadre."'");
		$idUsuP = $this->miconexion->obtenerCampo();
		//Actualizar alumno
		$this->miconexion->consulta("UPDATE alumno SET IdUsuario1='".$idUsuM."', IdUsuario2='".$idUsuP."' WHERE DNI='".$this->dniAlumno."'");

	}


	public function eliminarAlumno($id){

		/*SLV - Eliminamos el alumno seleccionado*/
		$this->miconexion->consulta("DELETE FROM alumno WHERE idAlumno=".$id."");

	}

	public function justificarFalta($idAl, $idAs, $fecha, $just){

		//SLV
		$this->miconexion->consulta("UPDATE faltaAlumnoEnAsignatura SET justificacion='".$just."', justificada=1 WHERE idAlumno=".$idAl." AND idAsignatura=".$idAs." AND fecha='".$fecha."'");

	}

	public function enviarNotas($idAl, $trimestre, $ano){

		//SLV
		$this->miconexion->consulta("UPDATE notaalumnoenasignatura SET enviada=".$trimestre." where IdAlumno=".$idAl." and Ano='".$ano."'");

	}

	public function FirmarNotas($idAl, $trimestre, $ano){

		//SLV - Firmar notas
		$this->miconexion->consulta("UPDATE notaalumnoenasignatura SET firmada=".$trimestre." where IdAlumno=".$idAl." and Ano='".$ano."'");

	}

	public function cargarCursos(){

		/*SLV - Cargar cursos disponibles en el colegio y devolver en array*/
		$this->miconexion->consulta("SELECT idCurso, Curso FROM curso order by curso asc");
		$this->miconexion->cargarConsulta();

	}

	public function cargarAlumnos(){

		/*SLV - Cargar todos los alumnos del colegio y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, DNI FROM alumno order by DNI asc");
		$this->miconexion->cargarConsulta();

	}

	public function cargarHijos($id){

		/*SLV - Cargar hijos de un padre y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, nombre FROM alumno where IdUsuario1 = '".$id."' OR IdUsuario2 = '".$id."' order by nombre asc");
		$this->miconexion->cargarConsulta();

	}

	public function cargarAlumnosAsignatura($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, asignatura WHERE idAsignatura='".$id."' AND alumno.idCurso = asignatura.idCurso order by apellidos, alumno.nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function obtenerAsignaturasHijo($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAsignatura, Asignatura.Nombre FROM alumno, asignatura WHERE Asignatura.idCurso=Alumno.idCurso AND alumno.idAlumno = '".$id."' order by Asignatura.nombre asc");
		$campo = $this->miconexion->verconsulta3();
		return $campo;

	}

	public function cargarAlumnosTutor($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, tutor WHERE tutor.idProfesor='".$id."' AND alumno.idCurso = tutor.idCurso order by apellidos, alumno.nombre asc");
		$this->miconexion->cargarConsulta2();

	}

	public function cargarFaltasSinJustificar($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT faltaAlumnoEnAsignatura.idAsignatura, asignatura.Nombre, faltaAlumnoEnAsignatura.fecha FROM asignatura, faltaAlumnoEnAsignatura WHERE asignatura.idAsignatura=faltaAlumnoEnAsignatura.idAsignatura AND faltaAlumnoEnAsignatura.idAlumno=".$id." and faltaalumnoenasignatura.Justificada=0 order by asignatura.Nombre, faltaAlumnoEnAsignatura.fecha asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarNotasAlumno($idAl, $trimestre, $ano){

		//SLV - Cargar notas del alumno
		$campo;

		if($trimestre == 1){
			$this->miconexion->consulta("SELECT asignatura.Nombre, notaalumnoenasignatura.nota1, notaalumnoenasignatura.Observaciones1 FROM notaalumnoenasignatura, asignatura WHERE notaalumnoenasignatura.Ano='".$ano."' AND notaalumnoenasignatura.IdAlumno=".$idAl." and asignatura.IdAsignatura=notaalumnoenasignatura.IdAsignatura and notaalumnoenasignatura.nota1 > 0.00 order by asignatura.Nombre asc");
			$campo = $this->miconexion->verconsulta4();
		}
		else if($trimestre == 2){
			$this->miconexion->consulta("SELECT asignatura.Nombre, notaalumnoenasignatura.nota2, notaalumnoenasignatura.Observaciones2 FROM notaalumnoenasignatura, asignatura WHERE notaalumnoenasignatura.Ano='".$ano."' AND notaalumnoenasignatura.IdAlumno=".$idAl." and asignatura.IdAsignatura=notaalumnoenasignatura.IdAsignatura and notaalumnoenasignatura.nota2 > 0.00 order by asignatura.Nombre asc");
			$campo = $this->miconexion->verconsulta4();
		}
		else if($trimestre == 3){
			$this->miconexion->consulta("SELECT asignatura.Nombre, notaalumnoenasignatura.nota3, notaalumnoenasignatura.Observaciones3 FROM notaalumnoenasignatura, asignatura WHERE notaalumnoenasignatura.Ano='".$ano."' AND notaalumnoenasignatura.IdAlumno=".$idAl." and asignatura.IdAsignatura=notaalumnoenasignatura.IdAsignatura and notaalumnoenasignatura.nota3 > 0.00 order by asignatura.Nombre asc");
			$campo = $this->miconexion->verconsulta4();
		}
		else if($trimestre == 4){
			$this->miconexion->consulta("SELECT asignatura.Nombre, notaalumnoenasignatura.Final, notaalumnoenasignatura.ObservacionesFinal FROM notaalumnoenasignatura, asignatura WHERE notaalumnoenasignatura.Ano='".$ano."' AND notaalumnoenasignatura.IdAlumno=".$idAl." and asignatura.IdAsignatura=notaalumnoenasignatura.IdAsignatura and notaalumnoenasignatura.final > 0.00 order by asignatura.Nombre asc");
			$campo = $this->miconexion->verconsulta4();
		}

		return $campo;

	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function hayNota($idAl, $idAs, $ano){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT idAlumno FROM notaalumnoenasignatura WHERE IdAlumno=".$idAl." and IdAsignatura=".$idAs." and ano='".$ano."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function notaEnviada($idAl, $idAs, $ano){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT Enviada FROM notaalumnoenasignatura WHERE IdAlumno=".$idAl." and IdAsignatura=".$idAs." and ano='".$ano."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function notasEstanEnviadas($idAl, $ano){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT Enviada FROM notaalumnoenasignatura WHERE IdAlumno=".$idAl." and ano='".$ano."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function notasEstanFirmadas($idAl, $ano){

		/*SLV - Obtener si las notas están firmadas o no*/
		$this->miconexion->consulta("SELECT Firmada FROM notaalumnoenasignatura WHERE IdAlumno=".$idAl." and ano='".$ano."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function cargarNombreAlumno($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nombre FROM alumno where IdAlumno=".$id."");
		$campo = $this->miconexion->obtenerCampo();
		echo $campo;

	}

	public function cargarNombreAsignatura($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nombre FROM asignatura where IdAsignatura=".$id."");
		$campo = $this->miconexion->obtenerCampo();
		echo $campo;

	}

	public function obtenerInfoAlumno($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT Nombre, Apellidos, FechaNacimiento, direccion, Telefono1, Telefono2, idUsuario1, IdUsuario2, IdCurso FROM alumno where IdAlumno='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function obtenerInfoAlumno2($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT dni, Apellidos, FechaNacimiento, direccion, Telefono1, Telefono2, idUsuario1, IdUsuario2, IdCurso FROM alumno where IdAlumno='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}


	public function obtenerDeberes($idAl, $idAs){

		/*SLV - Obtenemos los examenes corregidos del alumno*/
		$this->miconexion->consulta("SELECT Trimestre, Tarea, Nota, Comentarios FROM deber, deberAlumnoEnAsignatura where IdAlumno='".$idAl."' and IdAsignatura='".$idAs."' and deber.IdTarea=deberAlumnoEnAsignatura.IdTarea and nota>0.00 order by trimestre");
		$campo = $this->miconexion->verconsulta5();
		return $campo;

	}

	public function obtenerExamenes($idAl, $idAs){

		/*SLV - Obtenemos los examenes corregidos del alumno*/
		$this->miconexion->consulta("SELECT Trimestre, Descripcion, Nota, Comentarios FROM examen, examenAlumnoEnAsignatura where IdAlumno='".$idAl."' and IdAsignatura='".$idAs."' and examen.IdExamen=examenAlumnoEnAsignatura.IdExamen and nota>0.00 order by trimestre");
		$campo = $this->miconexion->verconsulta5();
		return $campo;

	}

}
?>

