<?php
include_once('ConexionBase.php');

class Deber{

	public $tarea;
	public $entrega;
	public $valor;
	public $trimestre;
	
	public function Deber($tarea, $entrega, $valor, $trimestre){

		$this->tarea = $tarea;
		$this->entrega = $entrega;
		$this->valor = $valor;
		$this->trimestre = $trimestre;
		
	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearDeber(){

		/*SLV - Comprobar si el deber ya existe*/
		$this->miconexion->consulta("SELECT tarea FROM deber WHERE tarea='".$this->tarea."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe deber, realizar inserción*/
			$result = $this->miconexion->consulta2("INSERT INTO deber (tarea, entrega, valor, trimestre) VALUES ('".$this->tarea."', '".$this->entrega."', '".$this->valor."', ".$this->trimestre.")");
			//$result = $this->miconexion->consulta2("INSERT INTO deber (tarea, entrega, valor, trimestre) VALUES ('".$this->tarea."', '".$this->entrega."', '0,5', '2')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function crearDeberAlumno($idAsignatura, $idTarea){

		/*SLV - Obtener idCurso para sacar los alumnos*/
		$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura='".$idAsignatura."'");
		$curso = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso='".$curso."'");
		$idAlumnos = $this->miconexion->verconsulta2();;
		

		//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
		for($i = 0; $i < count($idAlumnos); $i++){
			$this->miconexion->consulta2("INSERT INTO deberAlumnoEnAsignatura (idTarea, idAsignatura, idAlumno) VALUES ('".$idTarea."', '".$idAsignatura."', '".$idAlumnos[$i]."')");
		}

	}

	public function crearAsignaturaImpartida($idA, $idC){

		/*Comprobar si la asignatura ya existe*/
		$this->miconexion->consulta("SELECT * FROM asignaturaImpartida WHERE idAsignatura='".$idA."' AND idCurso='".$idC."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Asignatura, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function EditarAsignaturaImpartida($idA, $idC){

		$this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");

	}

	public function editarDeber($id){

		//SLV
		$this->miconexion->consulta("UPDATE deber SET tarea='".$this->tarea."', entrega='".$this->entrega."', valor='".$this->valor."', trimestre='".$this->trimestre."' WHERE idTarea=".$id."");
		
	}

	public function obtenerDNIUsuario($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function correguirDeber($idD, $idAs, $idA, $nota, $comentarios){

		/*SLV - actualizamos deberalumno*/
		$this->miconexion->consulta("UPDATE deberAlumnoEnAsignatura SET nota='".$nota."', comentarios='".$comentarios."' WHERE idTarea=".$idD." AND idAsignatura=".$idAs." AND idAlumno=".$idA."");

	}


	public function eliminarDeber($id){

		//SLV
		$this->miconexion->consulta("DELETE FROM deber WHERE idTarea=".$id."");
		$this->miconexion->consulta("DELETE FROM deberAlumnoEnAsignatura WHERE idTarea=".$id."");
				
	}

	public function EliminarAsignaturaImpartida($id){

		$this->miconexion->consulta("DELETE FROM asignaturaImpartida WHERE idAsignatura=".$id."");

	}

	public function cargarAlumnos($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, asignatura WHERE idAsignatura='".$id."' AND alumno.idCurso = asignatura.idCurso order by apellidos, alumno.nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarDeberesProfesor($idA){

		/*SLV - Cargar deberes del profesor en una asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT distinct Deber.idTarea, Deber.tarea FROM Deber, deberAlumnoEnAsignatura WHERE deberAlumnoEnAsignatura.idTarea = Deber.idTarea AND deberAlumnoEnAsignatura.idAsignatura=".$idA." order by tarea asc");
		$idDeberes = $this->miconexion->verconsulta3();
		return $idDeberes;

	}

	public function cargarAsignaturasImpartidasProfesor($idA){

		/*Cargar usuarios y devolver en array*/
		$this->miconexion->consulta("SELECT idCurso FROM asignaturaImpartida where IdAsignatura='".$idA."'");
		$campo = $this->miconexion->verConsulta2();
		return $campo;
	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerInfoDeber($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT entrega, valor, trimestre FROM deber where IdTarea='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function cargarDeberAlumno($idAl, $idD, $idAs){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nota, comentarios FROM deberAlumnoEnAsignatura where IdTarea='".$idD."'  AND IdAlumno='".$idAl."' AND IdAsignatura='".$idAs."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function obtenerDescripcionTarea($idD){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT tarea FROM deber where IdTarea=".$idD."");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerTareaCorreguida($idAl, $idD){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT deber.Tarea, deber.Trimestre, deberalumnoenasignatura.Nota, deberalumnoenasignatura.Comentarios FROM deber, deberalumnoenasignatura WHERE deber.IdTarea=deberalumnoenasignatura.IdTarea and deberalumnoenasignatura.IdTarea=".$idD." and deberalumnoenasignatura.IdAlumno=".$idAl."");
		$campo = $this->miconexion->verconsulta5();
		return $campo;

	}

	public function cargarDeberesPendientes($idAl, $hoy){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT deber.IdTarea, asignatura.Nombre, deber.Entrega FROM asignatura, deber, deberalumnoenasignatura WHERE idAlumno=".$idAl." and deber.IdTarea=deberalumnoenasignatura.idTarea and deber.Entrega>'".$hoy."' and asignatura.IdAsignatura=deberalumnoenasignatura.IdAsignatura ORDER BY asignatura.Nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarDeberes($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$hoy = date ("Y-m-d");
		$this->miconexion->consulta("SELECT distinct deber.IdTarea, asignatura.Nombre, deber.Tarea, deber.Entrega FROM asignatura, deber, deberalumnoenasignatura WHERE deber.IdTarea=deberalumnoenasignatura.idTarea and deber.Entrega>'".$hoy."' and asignatura.IdAsignatura=deberalumnoenasignatura.IdAsignatura and asignatura.IdProfesor =".$id." ORDER BY asignatura.Nombre");
		$this->miconexion->cargarConsulta5();
	
	}

	public function cargarDeberesCorreguidos($idAl){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT deber.IdTarea, asignatura.Nombre, deber.Entrega FROM asignatura, deber, deberalumnoenasignatura WHERE idAlumno=".$idAl." and deber.IdTarea=deberalumnoenasignatura.idTarea and deberalumnoenasignatura.Nota<>0.00 and asignatura.IdAsignatura=deberalumnoenasignatura.IdAsignatura ORDER BY asignatura.Nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

}
?>

