<?php
	session_start();

	include_once('Alumno.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		/*switch($_POST["tarea"]){ 
		case 'editarUsuario': 
			$return=true;
			break;
		//case 'crearUsuario':
			//echo $usuario -> crearUsuario($_POST["nomUsuario"], $_POST["correo"], $_POST["password"]);
			//break;
		}*/

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR ALUMNO---------------------------------------*/

			/*SLV - Creamos alumno con los datos del formulario*/
			$nuevoAlumno = new Alumno($_POST['dniA'], $_POST['nombre'], $_POST['apellidos'], $_POST['fechaNacimiento'], $_POST['direccion'], $_POST['telefono1'], $_POST['telefono2'], $_POST['dniM'], $_POST['dniP'], $_POST['selCurso']);
			$nuevoAlumno->abrirConexion();
			$result = $nuevoAlumno->crearAlumno();
			//Buscamos el idUsuario del padre y la madre
			$nuevoAlumno->actualizarTutores();
			$nuevoAlumno->cerrarConexion();
			if($result == 0){/*El alumno ya existe*/
				header("Location: ../AdminAlumnos.php#finishNO");
			}
			else {/*Usuario creado*/
				header("Location: ../AdminAlumnos.php#finishOK");
			}

			/*---------------------------------------CREAR ALUMNO---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR ALUMNO---------------------------------------*/

			/*SLV - Creamos alumno con los datos del formulario*/
			$nuevoAlumno = new Alumno("", "", $_POST['apellidos'], "", $_POST['direccion'], $_POST['telefono1'], $_POST['telefono2'], $_POST['dniM'], $_POST['dniP'], $_POST['selCurso']);
			$nuevoAlumno->abrirConexion();
			$nuevoAlumno->editarAlumno($_POST['idA']);
			$nuevoAlumno->cerrarConexion();
			header("Location: ../AdminAlumnosEditar.php#finishOK");
			
			/*---------------------------------------EDITAR ALUMNO---------------------------------------*/

			//}
		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR ALUMNO---------------------------------------*/

			/*SLV - Creamos usuario con los datos del formulario y la contraseña generada*/
			$nuevoAlumno = new Alumno("", "", "", "", "", "", "", "", "", "");
			$nuevoAlumno->abrirConexion();
			$nuevoAlumno->eliminarAlumno($_POST['idA']);
			$nuevoAlumno->cerrarConexion();
			header("Location: ../AdminAlumnosEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR ALUMNO---------------------------------------*/

			//}
		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------EDITAR HIJO---------------------------------------*/

			/*SLV - Creamos alumno con los datos del formulario*/
			if($_POST['idA'] != ""){
				$nuevoAlumno = new Alumno("", "", $_POST['apellidos'], "", $_POST['direccion'], $_POST['telefono1'], $_POST['telefono2'], "", "", "");
				$nuevoAlumno->abrirConexion();
				$nuevoAlumno->editarHijo($_POST['idA']);
				$nuevoAlumno->cerrarConexion();
				header("Location: ../PadreHijos.php#finishOK");
			}
			else{
				header("Location: ../PadreHijos.php#finishNO");
			}
			
			/*---------------------------------------EDITAR HIJO---------------------------------------*/

			//}
		}


		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR DATOS ALUMNO 1---------------------------------------*/

				//SLV - Obtener los datos del alumno
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
    			$resultado = $alumno->obtenerInfoAlumno($_POST['valor2']);
				echo implode('~',$resultado);
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR DATOS ALUMNO 1---------------------------------------*/
	
			}


			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR TUTORES---------------------------------------*/

				//SLV - Cargar los usuarios del padre y la madre del alumno
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				if($_POST['valor2'] > 0){
					$resultado[] = $alumno->obtenerDNIUsuario($_POST['valor2']);
				}
				if($_POST['valor3'] > 0){
					$resultado[] = $alumno->obtenerDNIUsuario($_POST['valor3']);
				}	
				//echo $resultado;
				echo implode('~',$resultado);
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR TUTORES---------------------------------------*/

			}

			if($_POST['valor1'] == 4){

				/*---------------------------------------CARGAR DATOS ALUMNO 2---------------------------------------*/

				//SLV
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
    			$resultado = $alumno->obtenerInfoAlumno2($_POST['valor2']);
				echo implode('~',$resultado);
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR DATOS ALUMNO 2---------------------------------------*/
	
			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>

