<?php
	session_start();

	include_once('Asignatura.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

		/*---------------------------------------CREAR ASIGNATURA---------------------------------------*/

		/*SLV - Creamos asignatura con los datos del formulario*/
		$nuevoAsignatura = new Asignatura($_POST['nombre'], $_POST['selProfesor'], $_POST['selCurso']);
		$nuevoAsignatura->abrirConexion();
		$result = $nuevoAsignatura->crearAsignatura();
		$nuevoAsignatura->cerrarConexion();
		if($result == 0){/*La asignatura ya existe*/
			header("Location: ../AdminAsignaturas.php#finishNO");
		}
		else {/*Asignatura creado*/
			header("Location: ../AdminAsignaturas.php#finishOK");
		}

		/*---------------------------------------CREAR ASIGNATURA---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR ASIGNATURA---------------------------------------*/

			/*SLV - Creamos asignatura con los datos del formulario y editamos*/
			if($_POST['idA'] != ""){
				$nuevaAsignatura = new Asignatura("", $_POST['selProfesor'], $_POST['selCurso']);
				$nuevaAsignatura->abrirConexion();
				$nuevaAsignatura->editarAsignatura($_POST['idA']);
				$nuevaAsignatura->cerrarConexion();
				header("Location: ../AdminAsignaturasEditar.php#finishOK");
			}
			else{
				header("Location: ../AdminAsignaturasEditar.php#finishNO");
			}
			
			/*---------------------------------------EDITAR ASIGNATURA---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR ASIGNATURA---------------------------------------*/

			/*SLV - Eliminamos asignatura*/
			$nuevaAsignatura = new Asignatura("", "", "");
			$nuevaAsignatura->abrirConexion();
			$nuevaAsignatura->eliminarAsignatura($_POST['idA']);
			$nuevaAsignatura->cerrarConexion();
			header("Location: ../AdminAsignaturasEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR ASIGNATURA---------------------------------------*/

			//}
		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR DATOS ASIGNATURA---------------------------------------*/

				//SLV - Cargar datos d ela asignatura
				$asignatura = new Asignatura("", "", "");
				$asignatura->abrirConexion();
    			$resultado = $asignatura->obtenerInfoAsignatura($_POST['valor2']);
				echo implode('~',$resultado);
    			$asignatura->cerrarConexion();

				/*---------------------------------------CARGAR DATOS ASIGNATURA---------------------------------------*/
	
			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>

