<?php
	session_start();

	include_once('Examen.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR EXAMEN---------------------------------------*/

			/*SLV - Creamos examen con los datos del formulario*/
			if($_POST['selAsignaturas'] != "--Seleccionar asignatura--"){
				if($_POST['selTrimestre'] != "--Seleccionar trimestre--"){
					$nuevoExamen = new Examen($_POST['descripcion'], $_POST['fecha'], $_POST['valor'], $_POST['selTrimestre']);
					$nuevoExamen->abrirConexion();
					$result = $nuevoExamen->crearExamen();
					$nuevoExamen->crearExamenAlumno($_POST['selAsignaturas'], $result);
					$nuevoExamen->cerrarConexion();
					if($result == 0){/*El deber ya existe*/
						header("Location: ../ProfesorExamenesAnadir.php#finishNO");
					}
					else {/*Tarea creada*/
						/*Añadir los cursos a las asignaturas*/
						header("Location: ../ProfesorExamenesAnadir.php#finishOK");
					}
				}
				else{
					header("Location: ../ProfesorExamenesAnadir.php#finishNO2");
				}
			}
			else{
				header("Location: ../ProfesorExamenesAnadir.php#finishNO2");
			}

			/*---------------------------------------CREAR EXAMEN---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR EXAMEN---------------------------------------*/

			/*SLV - Creamos deber con los datos del formulario y editamos*/
			if($_POST['selDeberes'] != "--Seleccionar deber--"){
				if($_POST['selTrimestre'] != "--Seleccionar trimestre--"){
					$nuevoExamen = new Examen($_POST['descripcion'], $_POST['fecha'], $_POST['valor'], $_POST['selTrimestre']);
					$nuevoExamen->abrirConexion();
					$nuevoExamen->editarExamen($_POST['selExamenes']);
					$nuevoExamen->cerrarConexion();
					header("Location: ../ProfesorExamenesEditar.php#finishOK");
				}
				else{
					header("Location: ../ProfesorExamenesEditar.php#finishNO");
				}
			}
			else{
				header("Location: ../ProfesorExamenesEditar.php#finishNO");
			}
			
			/*---------------------------------------EDITAR EXAMEN---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR EXAMEN---------------------------------------*/

			/*SLV - Eliminamos deber*/
			$nuevoExamen = new Examen("", "", "", "");
			$nuevoExamen->abrirConexion();
			$nuevoExamen->eliminarExamen($_POST['selExamenes']);
			$nuevoExamen->cerrarConexion();
			header("Location: ../ProfesorExamenesEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR EXAMEN---------------------------------------*/

		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------CORREGUIR EXAMEN---------------------------------------*/

			/*SLV - Correguir examen*/
			if($_POST['selAsignaturas'] != "--Seleccionar asignaturas--"){
				if($_POST['selDeberes'] != "--Seleccionar deber--"){
					if($_POST['selAlumnos'] != "--Seleccionar alumno--"){
						$nuevoExamen = new Examen("", "", "", "");
						$nuevoExamen->abrirConexion();
						$nuevoExamen->correguirExamen($_POST['selExamenes'], $_POST['selAsignaturas'], $_POST['selAlumnos'], $_POST['nota'], $_POST['comentarios']);
						$nuevoExamen->cerrarConexion();
						header("Location: ../ProfesorExamenesCorregir.php#finishOK");
					}  
					else{
						header("Location: ../ProfesorExamenesCorregir.php#finishNO");
					} 
				}
				else{
					header("Location: ../ProfesorExamenesCorregir.php#finishNO");
				}
			}
			else{
				header("Location: ../ProfesorExamenesCorregir.php#finishNO");
			}
			
			/*---------------------------------------CORREGUIR EXAMEN---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR EXAMENES DE ASIGNATURA---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
    			$resultado = $examen->cargarExamenesProfesor($_POST['valor2']);
    			$examen->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR EXAMENES DE ASIGNATURA---------------------------------------*/
	
			}


			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR DATOS EXAMEN---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
				$resultado = $examen->obtenerInfoExamen($_POST['valor2']);
				//echo $resultado;
    			$examen->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DATOS EXAMEN---------------------------------------*/

			}

			if($_POST['valor1'] == 4){

				/*---------------------------------------CARGAR ALUMNOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
    			$resultado = $examen->cargarAlumnos($_POST['valor2']);
    			$examen->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR ALUMNOS---------------------------------------*/
	
			}

			if($_POST['valor1'] == 5){

				/*---------------------------------------CARGAR DATOS DEBER ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
    			$resultado = $examen->cargarExamenAlumno($_POST['valor2'], $_POST['valor3'], $_POST['valor4']);
    			$examen->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DATOS DEBER ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 6){

				/*---------------------------------------CARGAR EXAMENES ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>'; 
				$examen = new Examen("", "", "", "");
				$hoy = date ("Y-m-d");
				$examen->abrirConexion();
    			$resultado = $examen->cargarExamenesPendientes($_POST['valor2'], $hoy);
    			$examen->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR EXAMENES ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 7){

				/*---------------------------------------CARGAR DESCRIPCION EXAMEN---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
				$resultado = $examen->obtenerDescripcionExamen($_POST['valor2']);
				echo $resultado;
				//echo implode('~',$resultado);
    			$examen->cerrarConexion();

				/*---------------------------------------CARGAR DESCRIPCION EXAMEN---------------------------------------*/

			}

			if($_POST['valor1'] == 8){

				/*---------------------------------------CARGAR EXAMENES CORREGUIDOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
				$resultado = $examen->cargarExamenesCorregidos($_POST['valor2']);
				$examen->cerrarConexion();
				if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR EXAMENES CORREGUIDOS---------------------------------------*/

			}

			if($_POST['valor1'] == 9){

				/*---------------------------------------CARGAR INFO EXAMENES CORREGUIDOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$examen = new Examen("", "", "", "");
				$examen->abrirConexion();
				$resultado = $examen->obtenerExamenCorregido($_POST['valor2'], $_POST['valor3']);
				$examen->cerrarConexion();
				if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR INFO EXAMENES CORREGUIDOS---------------------------------------*/

			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>