<?php
	session_start();

	include_once('Alumno.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR FALTA---------------------------------------*/

			//SLV
			//echo '<script type="text/javascript"> alert('.$_POST['selAlumnos'].')</script>'; 
			if($_POST["selAsignaturas"] != "--Seleccionar asignatura--"){
				if($_POST["selAlumnos"] != "--Seleccione un alumno--"){
					$nuevoAlumno = new Alumno("", "", "", "", "", "", "", "", "", "");
					$nuevoAlumno->abrirConexion();
					$result = $nuevoAlumno->crearFalta($_POST["selAsignaturas"], $_POST["selAlumnos"], $_POST["fecha"]);
					$nuevoAlumno->cerrarConexion();
					if($result == 0){/*La falta ya existe*/
						header("Location: ../ProfesorFaltaAnadir.php#finishNO");
					}
					else {/*Usuario creado*/
						header("Location: ../ProfesorFaltaAnadir.php#finishOK");
					}
				}
				else{
					header("Location: ../ProfesorFaltaAnadir.php#finishNO2");
				}
			}  
			else{
				header("Location: ../ProfesorFaltaAnadir.php#finishNO2");
			}

			/*---------------------------------------CREAR FALTA---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------ELIMINAR FALTA---------------------------------------*/

			//SLV
			//echo '<script type="text/javascript"> alert('.$_POST['selAlumnos'].')</script>';   
			$nuevoAlumno = new Alumno("", "", "", "", "", "", "", "", "", "");
			$nuevoAlumno->abrirConexion();
			$nuevoAlumno->eliminarFalta($_POST['selAsignaturas'], $_POST['selAlumnos'], $_POST['fecha']);
			$nuevoAlumno->cerrarConexion();
			header("Location: ../ProfesorFaltaEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR FALTA---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------JUSTIFICAR FALTA---------------------------------------*/

			//SLV - COMPROBAR CERTIFICADO ELECTRÓNICO
			
			//if (getenv('HTTPS')=='on'){ 
   				//$cert=$_SERVER['SSL_CLIENT_CERT']; 
   			//}
   			//else { 
   				//Leemos certificado
    			$f = fopen('../'.$_POST['certificado'], "r"); 
	 			$cert = fread($f, 8192); 
	 			fclose($f); 
 			//}	 

			/* Extraemos los datos del certificado usando nombres largos para los índices */ 
			$datos = openssl_x509_parse($cert,1);
			//echo '<script type="text/javascript"> alert('.$datos['issuer']['O'].')</script>'; 
			if($datos['issuer']['O'] == "DIRECCION GENERAL DE LA POLICIA" && $datos['issuer']['OU']	== "DNIE"){
				//Esto es un certificado con dni electrónico expedido por la policia
				//Comprobar si el dni del certificado coinciden con el usuario registrado y en la fecha de validez
				$dniCert = $datos['subject']['serialNumber'];
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$certifica = $alumno->certificarPadre($dniCert, $_SESSION['username']);
				if($certifica == 0){
					//El certificado no es correcto
					$alumno->cerrarConexion();
					header("Location: ../PadreFaltas.php#finishNO2");
				}
				else{
					//certificado correcto, puede firmar
					/*Justificar falta*/
					//echo '<script type="text/javascript"> alert('.$_POST['justificacion'].')</script>';   
					$alumno->justificarFalta($_POST['selAlumno'], $_POST['selFaltas'], $_POST['fecha'], $_POST['justificacion']);
					$alumno->cerrarConexion();
    				header("Location: ../PadreFaltas.php#finishOK");
				}
				
			}
			//COMPROBAR CERTIFICADO ELECTRÓNICO//echo '<script type="text/javascript"> alert('.$hora.')</script>';
			
			/*---------------------------------------JUSTIFICAR FALTA---------------------------------------*/

		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------PREPARAR NOTA PROFESOR---------------------------------------*/

			/*SLV - Preparar notas*/
			//echo '<script type="text/javascript"> alert('.$_POST['justificacion'].')</script>';  
			$ano= date ("Y"); 
			$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
			$alumno->abrirConexion();
    		$result = $alumno->hayNota($_POST['selAlumnos'], $_POST['selAsignaturas'], $ano);
    		if($result == 0){
    			//Realizar inserción
    			$alumno->insertarNota($_POST['selAlumnos'], $_POST['selAsignaturas'], $ano, $_POST['selTrimestre'], $_POST['valor'], $_POST['observaciones']);
    			header("Location: ../ProfesorConsultarNotas.php#finishOK");
    		}
    		else{
    			//Si las notas para ese trimestre han sido enviadas por el tutor, no se pueden modificar
    			$result2 = $alumno->notaEnviada($_POST['selAlumnos'], $_POST['selAsignaturas'], $ano);
    			//echo '<script type="text/javascript"> alert('.$result2.')</script>';  
    			if($result2 >= $_POST['selTrimestre']){
    				$alumno->cerrarConexion();
    				header("Location: ../ProfesorConsultarNotas.php#finishNO");
    			}
    			else{
    				$alumno->editarNotaAlumno($_POST['selAlumnos'], $_POST['selAsignaturas'], $ano, $_POST['selTrimestre'], $_POST['valor'], $_POST['observaciones']);
    				$alumno->cerrarConexion();
    				header("Location: ../ProfesorConsultarNotas.php#finishOK");
    			}
    		}
			
			/*---------------------------------------PREPARAR NOTA PROFESOR---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR ALUMNOS ASIGNATURA---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
    			$resultado = $alumno->cargarAlumnosAsignatura($_POST['valor2']);
    			$alumno->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DEBERES DE ASIGNATURA---------------------------------------*/
	
			}


			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR FALTA---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
    			$resultado = $alumno->cargarFaltas($_POST['valor2'], $_POST['valor3']);
    			$alumno->cerrarConexion();
    			if($resultado != 0){
    				echo implode('~',$resultado);
    			}
    			else{
    				echo 0;
    			}

				/*---------------------------------------CARGAR FALTA---------------------------------------*/

			}

			if($_POST['valor1'] == 4){

				/*---------------------------------------CARGAR DATOS ALUMNO---------------------------------------*/

				//SLV
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
    			$resultado = $alumno->obtenerInfoAlumno($_POST['valor2']);
				echo implode('~',$resultado);
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR DATOS ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 5){

				/*---------------------------------------CARGAR TUTORES---------------------------------------*/

				//SLV
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				if($_POST['valor2'] > 0){
					$resultado[] = $alumno->obtenerDNIUsuario($_POST['valor2']);
				}
				if($_POST['valor3'] > 0){
					$resultado[] = $alumno->obtenerDNIUsuario($_POST['valor3']);
				}
				//echo $resultado;
    			$alumno->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR TUTORES---------------------------------------*/

			}

			if($_POST['valor1'] == 6){

				/*---------------------------------------CARGAR DEBERES---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->obtenerDeberes($_POST['valor2'], $_POST['valor3']);
				$alumno->cerrarConexion();
				if($resultado != 0){
    				echo implode('~',$resultado);
    			}
    			else{
    				echo 0;
    			}

				/*---------------------------------------CARGAR DEBERES---------------------------------------*/

			}

			if($_POST['valor1'] == 7){

				/*---------------------------------------CARGAR EXAMENES---------------------------------------*/

				//SLV
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->obtenerExamenes($_POST['valor2'], $_POST['valor3']);
				$alumno->cerrarConexion();
				if($resultado != 0){
    				echo implode('~',$resultado);
    			}
    			else{
    				echo 0;
    			}

				/*---------------------------------------CARGAR EXAMENES---------------------------------------*/

			}

			if($_POST['valor1'] == 8){

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->cargarFaltasSinJustificar($_POST['valor2']);
    			$alumno->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

			}

			if($_POST['valor1'] == 9){

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->cargarDatosNotas($_POST['valor2'], $_POST['valor3'], $_POST['valor4']);
    			$alumno->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }
	
?>

