<?php
include_once('ConexionBase.php');

class Hora{

	public $fecha;
	public $hora;

	public function Hora($fecha, $hora){

		$this->fecha = $fecha;
		$this->hora = $hora;
		
	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearMensaje(){

		/*Si sólo se ha selecciconado un alumno*/
		if($this->idAlumno > 0){
			$result = $this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Mensaje, asunto) VALUES ('".$this->idAlumno."', '".$this->idAsignatura."', '".$this->fecha."', '".$this->hora."', '".$this->mensaje."', '".$this->asunto."')");
		}
		else{
			/*Si se ha seleccionado todos los alumnos mandar a todos*/
			$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura='".$this->idAsignatura."'");
			$curso = $this->miconexion->obtenerCampo();

			$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso='".$curso."'");
			$idAlumnos = $this->miconexion->verconsulta2();;
		

			//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
			for($i = 0; $i < count($idAlumnos); $i++){
				$this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Mensaje, asunto) VALUES ('".$idAlumnos[$i]."', '".$this->idAsignatura."', '".$this->fecha."', '".$this->hora."', '".$this->mensaje."', '".$this->asunto."')");
			}

		}

		return $result;

	}

	public function crearDeberAlumno($idAsignatura, $idTarea){

		/*Obtener idCurso para sacar los alumnos*/
		$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura='".$idAsignatura."'");
		$curso = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso='".$curso."'");
		$idAlumnos = $this->miconexion->verconsulta2();;
		

		//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
		for($i = 0; $i < count($idAlumnos); $i++){
			$this->miconexion->consulta2("INSERT INTO deberAlumnoEnAsignatura (idTarea, idAsignatura, idAlumno) VALUES ('".$idTarea."', '".$idAsignatura."', '".$idAlumnos[$i]."')");
		}

	}

	public function crearHora($idP){

		/*SLV - Comprobar si la hora ya existe*/
		$this->miconexion->consulta("SELECT * FROM horasTutor WHERE idProfesor=".$idP." AND fecha='".$this->fecha."' AND hora='".$this->hora."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Hora, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO horasTutor (idProfesor, fecha, hora) VALUES (".$idP.", '".$this->fecha."', '".$this->hora."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function crearCita($idH, $idA, $motivo){

		/*SLV - Comprobar si la hora ya existe*/
		$this->miconexion->consulta("SELECT * FROM citaAlumnoTutor WHERE idHora=".$idH." AND idAlumno=".$idA."");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Hora, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO citaAlumnoTutor (idHora, idAlumno, motivo) VALUES (".$idH.", ".$idA.", '".$motivo."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function EditarAsignaturaImpartida($idA, $idC){

		$this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");

	}

	public function editarDeber($id){

		$this->miconexion->consulta("UPDATE deber SET tarea='".$this->tarea."', entrega='".$this->entrega."', valor='".$this->valor."', trimestre='".$this->trimestre."' WHERE idTarea=".$id."");
		
	}

	public function obtenerDNIUsuario($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function correguirDeber($idD, $idAs, $idA, $nota, $comentarios){

		/*actualizamos deberalumno*/
		$this->miconexion->consulta("UPDATE deberAlumnoEnAsignatura SET nota='".$nota."', comentarios='".$comentarios."' WHERE idTarea='".$idD."' AND idAsignatura='".$idAs."' AND idAlumno='".$idA."'");

	}

	public function reservarHora($id){

		/*SLV - Reservar hora*/
		$this->miconexion->consulta("UPDATE horasTutor SET reservada=1 WHERE idHora=".$id."");

	}


	public function eliminarHora($id, $hora){

		//SLV
		$this->miconexion->consulta("DELETE FROM horasTutor WHERE idProfesor=".$id." AND idHora=".$hora."");
		
	}

	public function EliminarAsignaturaImpartida($id){

		$this->miconexion->consulta("DELETE FROM asignaturaImpartida WHERE idAsignatura=".$id."");

	}

	public function cargarFechas($id){

		/*SLV - Cargar fechas del tutor*/
		$this->miconexion->consulta("SELECT distinct fecha FROM horasTutor WHERE idProfesor='".$id."' order by fecha asc");
		$this->miconexion->cargarConsulta4();

	}

	public function cargarHorasReservadas($id){

		/*SLV - Cargar fechas del tutor*/
		$this->miconexion->consulta("SELECT horastutor.IdHora, horastutor.Fecha, horastutor.Hora FROM horastutor WHERE horastutor.Reservada=1 and horastutor.idProfesor=".$id." order by fecha, hora asc");
		$this->miconexion->cargarConsulta2();

	}

	public function cargarfechasDelTutor($id, $fecha){

		/*SLV - Cargar fechas del tutor*/
		$this->miconexion->consulta("SELECT distinct fecha FROM horasTutor, alumno, tutor WHERE horastutor.idProfesor=tutor.IdProfesor and tutor.IdCurso=alumno.IdCurso and alumno.IdAlumno=".$id." and horastutor.reservada=0 and horastutor.fecha>'".$fecha."' order by fecha asc");
		$campo = $this->miconexion->verconsulta2();
		return $campo;

	}

	public function cargarHoras($id, $fecha){

		/*SLV - Cargar horas del tutor*/
		$this->miconexion->consulta("SELECT idHora, hora FROM horasTutor WHERE idProfesor='".$id."' and fecha='".$fecha."' order by hora asc");
		$campo = $this->miconexion->verconsulta3();
		return $campo;

	}

	public function cargarDatosCita($id){

		/*SLV - Cargar horas del tutor*/
		$this->miconexion->consulta("SELECT alumno.Nombre, alumno.Apellidos, horastutor.Fecha, horastutor.Hora, citaalumnotutor.Motivo FROM citaalumnotutor, alumno, horastutor WHERE alumno.IdAlumno=citaalumnotutor.IdAlumno and citaalumnotutor.IdHora=".$id." and horastutor.IdHora=citaalumnotutor.IdHora");
		$campo = $this->miconexion->verconsulta6();
		return $campo;

	}

	public function cargarHorasDelTutor($id, $fecha){

		/*SLV - Cargar horas del tutor*/
		$this->miconexion->consulta("SELECT idHora, hora FROM horasTutor, alumno, tutor WHERE horastutor.idProfesor=tutor.IdProfesor and tutor.IdCurso=alumno.IdCurso and alumno.IdAlumno=".$id." and horastutor.reservada=0 and horastutor.fecha='".$fecha."' order by fecha asc");
		$campo = $this->miconexion->verconsulta3();
		return $campo;

	}


	public function cargarDeberesProfesor($idA){

		/*Cargar deberes del profesor en una asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT distinct Deber.idTarea, Deber.tarea FROM Deber, deberAlumnoEnAsignatura WHERE deberAlumnoEnAsignatura.idTarea = Deber.idTarea AND deberAlumnoEnAsignatura.idAsignatura=".$idA." order by tarea asc");
		$idDeberes = $this->miconexion->verconsulta3();
		return $idDeberes;

	}

	public function cargarAsignaturasImpartidasProfesor($idA){

		/*Cargar usuarios y devolver en array*/
		$this->miconexion->consulta("SELECT idCurso FROM asignaturaImpartida where IdAsignatura='".$idA."'");
		$campo = $this->miconexion->verConsulta2();
		return $campo;
	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerInfoDeber($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT entrega, valor, trimestre FROM deber where IdTarea='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function cargarDeberAlumno($idAl, $idD, $idAs){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nota, comentarios FROM deberAlumnoEnAsignatura where IdTarea='".$idD."'  AND IdAlumno='".$idAl."' AND IdAsignatura='".$idAs."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

}
?>

