<?php
include('ConexionBase.php');

class Profesor{

	public $colegiado;
	public $nombre;
	public $apellidos;
	public $telefono;
	public $direccion;
	public $idUsuario;

	public function Profesor($colegiado, $nombre, $apellidos, $telefono, $direccion, $idUsuario){

		$this->colegiado = $colegiado;
		$this->nombre = $nombre;
		$this->apellidos = $apellidos;
		$this->telefono = $telefono;
		$this->direccion = $direccion;
		$this->idUsuario = $idUsuario;

	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function obtenerIdUsuario(){

		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE usuario='".$this->usuario."' AND password='".$this->password."'");
		/*$numReg = $miconexion->numRegistros();*/

		/*if($numReg == 1){*/
			/*Si existe usario, recogemos el if de usuario*/
			$idUsu = $this->miconexion->obtenerCampo();
		/*}*/

		/*Devolvemos el id de usuario*/
		return $idUsu;

	}

	public function UsuarioCorrecto(){

		$this->miconexion->consulta("SELECT tipoUsuario FROM usuario WHERE usuario='".$this->usuario."' AND password='".$this->password."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 1){
			/*Si existe usario, recogemos el tipo de usuario*/
			$numReg = $this->miconexion->obtenerCampo();
		}

		/*Devolvemos el tipo de usuario 0 (no existe), 1 (admin), 2 (padre), 3 (profesor)*/
		return $numReg;
	}

	public function crearProfesor(){

		/*SLV - Comprobar si el profesor ya existe*/
		$this->miconexion->consulta("SELECT colegiado FROM profesor WHERE colegiado='".$this->colegiado."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe profesor, realizar inserción*/
			$result = $this->miconexion->consulta2("INSERT INTO profesor (colegiado, nombre, apellidos, telefono, direccion) VALUES ('".$this->colegiado."', '".$this->nombre."', '".$this->apellidos."', '".$this->telefono."', '".$this->direccion."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function crearTutor($idP, $idC){

		/*SLV - Comprobar si el profesor es tutor ya*/
		$this->miconexion->consulta("SELECT * FROM tutor WHERE idProfesor=".$idP." AND idCurso=".$idC."");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si existe tutor, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO tutor (idProfesor, idCurso) VALUES ('".$idP."', '".$idC."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function editarProfesor($id){

		/*SLV - Editor profesor*/
		$this->miconexion->consulta("UPDATE profesor SET apellidos='".$this->apellidos."', telefono='".$this->telefono."', direccion='".$this->direccion."' WHERE idProfesor=".$id."");

	}

	public function editarTutor($idP, $idC){

		/*SLV - Editor tutor*/
		$this->miconexion->consulta("SELECT * FROM tutor WHERE idProfesor=".$idP."");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si existe usuario, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO tutor (idProfesor, idCurso) VALUES ('".$idP."', '".$idC."')");
		}
		else{
			$this->miconexion->consulta("UPDATE tutor SET idCurso=".$idC." WHERE idProfesor=".$idP."");
		}	

	}

	public function eliminarTutor($idP){

		/*SLV - Eliminar tutor*/
		$this->miconexion->consulta("DELETE FROM tutor WHERE idProfesor=".$idP."");
		
	}

	public function eliminarProfesor($id){

		/*SLV - Eliminar profesor*/
		$this->miconexion->consulta("DELETE FROM profesor WHERE idProfesor=".$id."");
		
	}

	public function cargarProfesores(){

		/*SLV - Cargar todos los profesores del colegio y devolver en array*/
		$this->miconexion->consulta("SELECT idProfesor, colegiado FROM profesor order by colegiado asc");
		$this->miconexion->cargarConsulta();

	}

	public function obtenerDatosProfesor($id){

		/*SLV - Obtenemos los datos del profesor a traves de su id*/
		$this->miconexion->consulta("SELECT nombre, apellidos, telefono, direccion FROM profesor where idProfesor='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function obtenerEmail($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT email FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerTutor($id){

		/*SLV - Obtenemos el curso del que es tutor a través de su id*/
		$this->miconexion->consulta("SELECT idCurso FROM tutor where IdProfesor='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}	

}
?>

