<!DOCTYPE HTML>
<?php
	include_once ('libreria/Asignatura.php');
	include_once ('libreria/Curso.php');
	session_start();
	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Admin - Gestión de asignaturas</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
		<meta charset="UTF-8"/>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="AdminInicio.php">Inicio</a></li>
							<li><a href="AdminProfesores.php">Gestión profesores</a></li>
							<li><a href="AdminCursos.php">Gestión cursos</a></li>
							<li class="active"><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
							<li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
							<li><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
							<li><a href="AdminCentro.php">Gestión Centro</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Asignaturas</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="AdminAsignaturas.php">Añadir asignaturas</a></li>
								<li class="fa fa-angle-right"><a href="AdminAsignaturasEditar.php">Editar asignaturas</a></li>
								<li class="fa fa-angle-right"><a href="AdminAsignaturasEliminar.php">Eliminar asignaturas</a></li>
							</ul>
						</section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Añadir asignatura</h2>
							</header>
							<form method="post" action="libreria/GestionarAsignaturas.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Nombre:</label>
        							<div class="col-xs-9">
            							<input type="text" name="nombre" id='nombre' class="form-control" required="required" placeholder="Literatura" maxlength="50" size="50">
            							<input type="hidden" name="idA" id="idA" class="form-control">
            							<input type="hidden" name="identificador" id="identificador" class="form-control" value="1">
        							</div>

    							</div>
    							<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione el profesor que la imparte:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selProfesor' name="selProfesor" required="required">
                							<option value"0">--Seleccionar profesor--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "");
													$asignatura->abrirConexion();
    												$asignatura->cargarProfesores();
    												$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='claveProfesor' name="claveProfesor" class="form-control">
            		
        							</div>
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Seleccione el curso en el que se va a impartir:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selCurso' name="selCurso" required="required">
            								<option value"0">--Seleccionar curso--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $curso = new Curso("");
													$curso->abrirConexion();
    												$curso->cargarCursos();
    												$curso->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" id='claveCurso' name="claveCurso" class="form-control">
            		
        							</div>
        						</div>

    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Crear">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<!--<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>-->
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Asignatura creado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. LA asignatura ya existe</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>