<!DOCTYPE HTML>
<?php
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
    <head>
        <title>SIPP - Admin - Gestión Centro</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script src="js/skel.min.js"></script>
        <script src="js/skel-panels.min.js"></script>
        <script src="js/init.js"></script>
        <noscript>
            <link rel="stylesheet" href="css/skel-noscript.css" />
            <link rel="stylesheet" href="css/style.css" />
            <link rel="stylesheet" href="css/style-desktop.css" />
        </noscript>
        <meta charset="UTF-8"/>
    </head>
    <body>

    <!-- Header -->
        <div id="header">
            <div id="logo-wrapper">
                <div class="container">
                        
                    <!-- Logo -->
                        <div id="logo">
                            <h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
                            <span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
                        </div>
                    
                </div>
            </div>          
            <div class="container">
                <!-- Nav -->
                    <nav id="nav">
                        <ul>
                            <li><a href="AdminInicio.php">Inicio</a></li>
                            <li><a href="AdminProfesores.php">Gestión profesores</a></li>
                            <li><a href="AdminCursos.php">Gestión cursos</a></li>
                            <li><a href="AdminAsignaturas.php">Gestión asignaturas</a></li>
                            <li><a href="AdminAlumnos.php">Gestión alumnos</a></li>
                            <li><a href="AdminUsuarios.php">Gestión Usuarios</a></li>
                            <li class="active"><a href="AdminCentro.php">Gestión Centro</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
                        </ul>
                    </nav>
            </div>
        </div>
    <!-- Header -->
        
    <!-- Banner -->
        <div id="banner">
            <div class="container">
            </div>
        </div>
    <!-- /Banner -->

    <!-- Main -->
        <div id="main">

            <!-- Main Content -->
            <div class="container">
                <div class="row">
                    <div id="sidebar1" class="3u">
                        <section>
                            <header>
                                <h2>Circulares</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="AdminCirculares.php">Añadir circular</a></li>
                                <li class="fa fa-angle-right"><a href="AdminCircularesEditar.php">Editar circular</a></li>
                                <li class="fa fa-angle-right"><a href="AdminCircularesEliminar.php">Eliminar circular</a></li>
                            </ul>
                        </section>
                    </div>
                
                    <div class="9u skel-cell-important">
                        <section>
                            <header>
                                <h2>Añadir circular</h2>
                            </header>
                            <form method="post" action="libreria/GestionarCentro.php">
                                <div class="form-group">
                                    <div class="col-xs-9">
                                        <label class="control-label col-xs-3">Introduzca un título identificativo para la circular</label>
                                        <br>
                                        <input type="text" name="titulo" id="titulo" class="form-control" required placeholder="Título" maxlength="50" size="50">
                                        <input type="hidden" name="identificador" id="identificador" class="form-control" value="1">
                                        <br>
                                        <br>
                                        <textarea id="texto" name="texto" rows="9" cols="80" required placeholder="Introduzca aquí el texto de la circular..."></textarea>
                                        <input type="hidden" name="idC" id="idC" class="form-control">
                                    </div>
                                </div>
                                <br>
                                <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <input type="submit" class="btn btn-primary" value="Crear">
                                        <input type="reset" class="btn btn-default" value="Limpiar">
                                    </div>
                                </div>
                                <div id="finishOK">
                                    <p>Circular creada correctamente</p>
                                </div>
                                <div id="finishNO">
                                    <p>ERROR. La circular ya existe</p>
                                </div>
                            </form>
                        </section>
                    </div>
                </div>
            
            </div>
            <!-- /Main Content -->
            
        </div>
    <!-- /Main -->

    <!-- Copyright -->
        <div id="copyright">
            <div class="container">
                <section>
                    SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
                </section>
            </div>
        </div>


    </body>
</html>