<!DOCTYPE HTML>
<?php
    include ('libreria/Alumno.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Padre - Ver notas hijo</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

        var seleccion, seleccion2;
        var tabla1, tabla2, tabla3, tablaF;

        function realizaProceso(){
            document.getElementById('selTrimestre').selectedIndex  = 0;
        }

        function realizaProcesoD(){

            seleccion=document.getElementById('selAlumnos');
            seleccion2=document.getElementById('selTrimestre');
            tabla1 = document.getElementById("notas");
        
            if(seleccion2.options[seleccion2.selectedIndex].value > 0){

                //Si hay un alumno seleccionado
                var parametros = {
                    "valor1" : 5,
                    "valor2" : seleccion.options[seleccion.selectedIndex].value,
                    "valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                    "identificador" : 0
                 };

                $.ajax({
                    data:  parametros,
                    url:   'libreria/GestionarTutoria.php',
                    type:  'post',
                    beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                    },
                    success:  function (response) {
                        result=response.split('~');
                        //alert(result);
                        //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                        while(tabla1.rows.length > 1){
                            tabla1.deleteRow(1);
                        }
                        //tabla1.style.display = 'none';

                        if(result != 0){
                           //tabla1.style.display = 'block';
                            var i = 1, row, m = 0;
                            var cell1, cell2, cell3;
                        
                            for(j = 1; j<=result.length/3; j++){
                                row = tabla1.insertRow(i);
                                cell1 = row.insertCell(0);
                                cell2 = row.insertCell(1);
                                cell3 = row.insertCell(2);
                                cell1.innerHTML = result[m];
                                m++;
                                cell2.innerHTML = result[m];
                                if(result[m] < 5.00){
                                    cell1.style.backgroundColor = "#FA5858";
                                    cell2.style.backgroundColor = "#FA5858";
                                    cell3.style.backgroundColor = "#FA5858";
                                }
                                m++;
                                cell3.innerHTML = result[m];
                                m++;
                                i++;
                            }
                        }
                        //$("#email").html(response);
                    }
                });
            }
            else{

                //Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
                while(tabla1.rows.length > 1){
                    tabla1.deleteRow(1);
                }
                //tabla1.style.display = 'none';
                document.getElementById('selTrimestre').selectedIndex  = 0;
                        
            }

        }

		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
                            <li><a href="PadreInicio.php">Inicio</a></li>
                            <li class="active"><a href="PadreHijos.php">Mis hijos</a></li>
                            <li><a href="PadreDeberes.php">Curso escolar</a></li>
                            <li><a href="PadreMensajes.php">Mensajes</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
                        </ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Información</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="PadreHijos.php">Ver info hijo</a></li>
                                <li class="fa fa-angle-right"><a href="PadreConsultarNotas.php">Consultar notas</a></li>
                                <li class="fa fa-angle-right"><a href="PadreCirculares.php">Ver circulares</a></li>
                                <li class="fa fa-angle-right"><a href="PadreCitas.php">Reservar cita tutor</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Consultar notas alumno</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarTutoria.php">
                                <div class="form-group">
        							<label class="control-label col-xs-3">Mis hijos:</label>
        							<div class="col-xs-3">
        								
            							<select class="form-control" id='selAlumnos' name="selAlumnos" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar alumno--</option>
                                            <?php
                                                if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
                                                    $alumno->abrirConexion();
                                                    $alumno->cargarHijos($_SESSION['username']);
                                                    $alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
                                            ?>
            							</select><input type="hidden" id="identificador" name="identificador" class="form-control" value="4">
            		                    <input type="hidden" id="idPadre" name="idPadre" class="form-control">
        							</div>
        						</div>
                                <div class="form-group">
                                    <label class="control-label col-xs-3">Trimestre:</label>
                                    <div class="col-xs-3">
                                        
                                        <select class="form-control" id='selTrimestre' name="selTrimestre" onchange="javascript:realizaProcesoD()">
                                            <option value"0">--Seleccionar trimestre--</option>
                                            <option value"1">1</option>
                                            <option value"2">2</option>
                                            <option value"3">3</option>
                                            <option value"4">4</option>
                                        </select>
                    
                                    </div>
                                </div>
								<br>
                                <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <TABLE width=100% name="notas" id="notas">
                                            <CAPTION ALIGN=top>NOTAS</CAPTION>
                                            <TR>
                                                <TH style="border: double black; border-collapse: separate;" width=20%><b>Asignatura</b></TH>
                                                <TH style="border: double black; border-collapse: separate;" width=8%>Nota</TH>
                                                <TH style="border: double black; border-collapse: separate;" width=72%>Observaciones</TH>
                                            </TR>
                                        </TABLE>
                                    </div>
                                </div>
							    <div class="form-group">
                                    <label class="control-label col-xs-3">Certificado DNI electrónico:</label>
                                    <input type="file" mutliple="false" id="certificado" name="certificado" required/>
                                    <script type="text/javascript">
                                        function getFilePath(){
                                            $('input[type=file]').change(function () {
                                                var filePath=$('#certificado').val(); 
                                                alert(filePath);
                                            });
                                        }
                                </script>
                                </div>
                                <br>
                                <!--<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <input type="submit" class="btn btn-primary" value="Firmar">
                                        <input type="reset" class="btn btn-default" value="Limpiar">
                                        <p id="botton">
                                            <a method="post" class="submit" href="#finish">ENVIAR</a>                           
                                        </p>
                                    </div>
                                </div>-->
                            </form>
                            <div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Firmar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea firmar las notas?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
                                <p>Notas firmadas correctamente</p>
                            </div>
                            <div id="finishNO">
                                <p>ERROR. Las notas para ese trimestre ya han sido firmadas</p>
                            </div>
                            <div id="finishNO2">
                                <p>ERROR. El DNI que está utilizando para firmar no corresponde con usted</p>
                            </div>
                            <div id="finishNO3">
                                <p>ERROR. Tiene que seleccionar un hijo, un trimestre y un certificado para poder firmar las notas</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selAlumnos');
                                var seleccion2 = document.getElementById('selTrimestre');
                                var cert = document.getElementById('certificado');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        if(seleccion2.options[seleccion2.selectedIndex].value > 0){
                                            if(certificado.value != ""){
                                                modal.showModal();
                                            }
                                            else{
                                                location.href = "PadreConsultarNotas.php#finishNO3";
                                            }
                                        }
                                        else{
                                            location.href = "PadreConsultarNotas.php#finishNO3";
                                        }
                                    }
                                    else{
                                        location.href = "PadreConsultarNotas.php#finishNO3";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>