<!DOCTYPE HTML>
<?php
	include_once ('libreria/Alumno.php');
    session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Padre - Enviar mensaje</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<script>

			function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selAlumno');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un hijo seleccionado	

        		var parametros = {
                	"valor1" : 3,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarMensajes.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result[1]);
                		document.getElementById('selAsignaturas').options.length = 1;
        				document.getElementById('selAsignaturas').selectedIndex  = 0;
                		if(result != 0){
                			i=0;
                			j=2;
                			document.getElementById("selAsignaturas").options[1]=new Option("Tutor", "Tutor");
                			while(i<result.length){
                				document.getElementById("selAsignaturas").options[j]=new Option(result[i+1], result[i]);
                				i = i+2;
                				j++;
                			}
                		}
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selAsignaturas').options.length = 1;
        		document.getElementById('selAsignaturas').selectedIndex  = 0;
        		document.getElementById('asunto').value = "";
                document.getElementById('texto').value = "";
                		
        	}

		}

		</script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
                                    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                        echo $_SESSION['nombre'];
                                    }
                                    else{
                                        header("Location: inicio.html");
                                    } ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="PadreInicio.php">Inicio</a></li>
                            <li><a href="PadreHijos.php">Mis hijos</a></li>
                            <li><a href="PadreDeberes.php">Curso escolar</a></li>
                            <li class="active"><a href="PadreMensajes.php">Mensajes</a></li>
                            <li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Circulares</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="PadreMensajes.php">Mensajes sin leer</a></li>
                                <li class="fa fa-angle-right"><a href="PadreMensajesTodos.php">Todos los mensajes</a></li>
                                <li class="fa fa-angle-right"><a href="PadreEnviarMensaje.php">Enviar mensaje</a></li>
                            </ul>
                        </section>
					</div>
				<div class="row">
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Responder mensaje</h2>
							</header>
							<form method="post" action="libreria/GestionarMensajes.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mi hijo:</label>
        							<div class="col-xs-3">
        								<input type="text" name="hijo" id="hijo" class="form-control" value="<?php 
        										if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
													$alumno->abrirConexion();
    												$alumno->cargarNombreAlumno($_SESSION['alumno']);
    												$alumno->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>" disabled>
                                        <input type="hidden" name="idPadre" id="idPadre" class="form-control">
                                        <input type="hidden" name="selAlumno" id="selAlumno" class="form-control" value="<?php 
                                                        echo $_SESSION['alumno']; ?>">
            						</div>
        						
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Profesor de la asignatura al que enviar el mensaje:</label>
        							<div class="col-xs-3">
            							<input type="text" name="asignatura" id="asignatura" class="form-control" value="<?php 
            									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    if(isset($_SESSION['tutor']) && $_SESSION['tutor'] == 1){
                                                        echo 'Tutor';
                                                    }
                                                    else{
                                                        $alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
                                                        $alumno->abrirConexion();
                                                        $alumno->cargarNombreAsignatura($_SESSION['asignatura']);
                                                        $alumno->cerrarConexion();
                                                    }
                                                    
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>" disabled>
    										<input type="hidden" name="selAsignaturas" id="selAsignaturas" class="form-control" value="<?php 
                                                        echo $_SESSION['asignatura']; ?>">
        							</div>
        						</div>
        						<div class="form-group">
        							<div class="col-xs-9">
        								<label class="control-label col-xs-3">Introduzca un asunto para el mensaje</label>
        								<br>
        								<input type="text" name="asunto" id="asunto" class="form-control" required placeholder="Título" maxlength="150" size="50">
        								<br>
        								<br>
        								<textarea id="texto" name="texto" rows="9" cols="80" required placeholder="Introduzca aquí el mensaje..."></textarea>
            							<input type="hidden" name="idM" id="idM" class="form-control">
            							<input type="hidden" id="identificador" name="identificador" class="form-control" value="5">
        							</div>
    							</div>
    							<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Enviar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
									</div>
							    </div>
							    <div id="finishOK">
									<p>Mensaje enviado correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. El mensaje no ha podido enviarse</p>
								</div>
							</form>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>