<!DOCTYPE HTML>
<?php
	include_once ('libreria/Asignatura.php');
	include_once ('libreria/Curso.php');
	session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Gestión de deberes</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
		<script>

		function realizaProcesoA(){

			var seleccion;
			seleccion=document.getElementById('selAsignaturas');

			if(seleccion.options[seleccion.selectedIndex].value >0){

				//Si hay un asignatura seleccionado	

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarInfoAlumnos.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		i=0;
                		j=1;
                		while(i<result.length){
                			document.getElementById("selAlumnos").options[j]=new Option(result[i+1] + ", " + result[i+2], result[i]);
                			i = i+3;
                			j++;
                		}
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selAlumnos').options.length = 1;
        		document.getElementById('selAlumnos').selectedIndex  = 0;
        		document.getElementById('fecha').value = "";
        		document.getElementById('selFechas').options.length = 1;
        		document.getElementById('selFechas').selectedIndex  = 0;
        		document.getElementById('justificacion').value = "";
        		
                		
        	}

		}

		function realizaProcesoD(){

			var seleccion, seleccion2;
			seleccion=document.getElementById('selAlumnos');
            var idSinEspacios = seleccion.options[seleccion.selectedIndex].value;
            idSinEspacios = $.trim( idSinEspacios );
			seleccion2=document.getElementById('selAsignaturas');

			if(seleccion.options[seleccion.selectedIndex].value > 0){

				//Si hay un deber seleccionado	

				var parametros = {
                	"valor1" : 3,
                	"valor2" : idSinEspacios,
                	"valor3" : seleccion2.options[seleccion2.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarInfoAlumnos.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		if(result != 0){	
                			i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selFechas").options[j]=new Option(result[i+1], result[i]);
                				i = i+2;
                				j++;
                			}
                		}
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('fecha').value = "";
                document.getElementById('justificacion').value = "";
                		
        	}

		}

		function realizaProcesoF(){

			var seleccion;
			seleccion=document.getElementById('selFechas');

			document.getElementById('justificacion').value = seleccion.options[seleccion.selectedIndex].value;
			document.getElementById('fecha').value = seleccion.options[seleccion.selectedIndex].text;

		}

		</script>
		<meta charset="UTF-8"/>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li class="active"><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
		<script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
							<header>
								<h2>Información</h2>
							</header>
							<ul class="default alt">
								<li class="fa fa-angle-right"><a href="ProfesorInfoAlumno.php">Ver info Alumno</a></li>
								<li class="fa fa-angle-right"><a href="ProfesorConsultarNotas.php">Consultar notas</a></li>
							</ul>
						</section>
                        <section>
                            <header>
                                <h2>Faltas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaAnadir.php">Añadir faltas</a></li>
                                <li class="fa fa-angle-right"><a href="ProfesorFaltaEliminar.php">Ver faltas</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Ver Falta</h2>
							</header>
							<form method="post" id="formulario" action="libreria/GestionarInfoAlumnos.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Mis asignaturas:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selAsignaturas' name="selAsignaturas" required="required"  onchange="javascript:realizaProcesoA()">
            								<option value"0">--Seleccionar asignatura--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $asignatura = new Asignatura("", "", "");
													$asignatura->abrirConexion();
    												$asignatura->cargarAsignaturasProfesor($_SESSION['username']);
    												$asignatura->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select><input type="hidden" name="identificador" id="identificador" class="form-control" value="2">
            							<input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Selecciona el alumno al que añadir una falta:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selAlumnos' name="selAlumnos" required="required" onchange="javascript:realizaProcesoD()">
            								<option value"0">--Seleccione un alumno--</option>
            							</select>
        							</div>
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Selecciona la fecha de la falta:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selFechas' name="selFechas" required="required" onchange="javascript:realizaProcesoF()">
            								<option value"0">--Seleccione una fecha--</option><input type="hidden" name="fecha" id="fecha" class="form-control">
            							</select>
        							</div>
        						</div>
								<div class="form-group">
        							<label class="control-label col-xs-3">Justificación:</label>
        							<div class="col-xs-9">
            							<input type="text" name="justificacion" id="justificacion" class="form-control" required="required" placeholder="Sin justificar" disabled maxlength="150" size="75">
        							</div>
        							
    							</div>
    							<br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" class="btn btn-primary" value="Eliminar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>
        							</div>
							    </div>-->
							</form>
							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="launch-modal" value="Eliminar">
                                        <Input type='Button' id="reset-modal" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea justificar esta falta?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK">
								<p>Falta eliminada correctamente</p>
							</div>
							<div id="finishNO">
								<p>ERROR. La falta no ha podido eliminarse</p>
							</div>
							<div id="finishNO2">
                                <p>ERROR. Tiene que seleccionar una asignatura, un alumno y una fecha para eliminar una falta</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selAsignaturas');
                                var seleccion2 = document.getElementById('selAlumnos');
                                var seleccion3 = document.getElementById('selFechas');
                                $('#launch-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        if(seleccion2.options[seleccion2.selectedIndex].value > 0){
                                            if(seleccion3.options[seleccion3.selectedIndex].value != "--Seleccione una fecha--"){
                                            	modal.showModal();
                                            }
                                            else{
                                                location.href = "ProfesorFaltaEliminar.php#finishNO2";
                                            }
                                        }
                                        else{
                                            location.href = "ProfesorFaltaEliminar.php#finishNO2";
                                        }
                                    }
                                    else{
                                        location.href = "ProfesorFaltaEliminar.php#finishNO2";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value > 0){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>