<!DOCTYPE HTML>
<?php
	include_once ('libreria/Hora.php');
	session_start();
    $now = time();
    if($now > $_SESSION['expire']){
        session_destroy();
    }
    else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
    }
    else{
        header("Location: inicio.html");
    }
?>
<html>
	<head>
		<title>SIPP - Profesor - Gestionar Horas Citas</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link href='https://fonts.googleapis.com/css?family=Questrial' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<script>

			function realizaProceso(){

			var seleccion;
			seleccion=document.getElementById('selFechas');

			if(seleccion.options[seleccion.selectedIndex].value != 0){

				//Si hay un asignatura seleccionado	

        		var parametros = {
                	"valor1" : 2,
                	"valor2" : seleccion.options[seleccion.selectedIndex].value,
                	"identificador" : 0
       			 };

        		$.ajax({
                	data:  parametros,
                	url:   'libreria/GestionarTutoria.php',
                	type:  'post',
                	beforeSend: function () {
                        //$("#email").html("Procesando, espere por favor...");
                	},
                	success:  function (response) {
                		result=response.split('~');
                		//alert(result);
                		document.getElementById('selHoras').options.length = 1;
        				document.getElementById('selHoras').selectedIndex  = 0;
        				if(result[0] > 0){
        					i=0;
                			j=1;
                			while(i<result.length){
                				document.getElementById("selHoras").options[j]=new Option(result[i+1], result[i]);
                				i = i + 2;
                				j++;
                			}
        				}
                		//document.getElementById('selProfesor').value  = Number(result[0]);
                		//document.getElementById('selCurso').value  = Number(result[2]);
                		//$("#email").html(response);
                	}
	        	});
        	}
        	else{

        		//Si está el primer elemento, limpiar cajas por si el usuario lo pulsa después de haber seleccionado un elemento
        		document.getElementById('selHoras').options.length = 1;
        		document.getElementById('selHoras').selectedIndex  = 0;
                		
        	}

		}

		function realizaProcesoB(){

			var seleccion;
			seleccion=document.getElementById('selHoras');

			if(seleccion.options[seleccion.selectedIndex].value > 0){

				//Si hay una hora seleccionada
				document.getElementById('idHora').value  = seleccion.options[seleccion.selectedIndex].value;
        		
        	}
        	
		}
		
		</script>
		<script src="js/skel.min.js"></script>
		<script src="js/skel-panels.min.js"></script>
		<script src="js/init.js"></script>
		<noscript>
			<link rel="stylesheet" href="css/skel-noscript.css" />
			<link rel="stylesheet" href="css/style.css" />
			<link rel="stylesheet" href="css/style-desktop.css" />
		</noscript>
	</head>
	<body>

	<!-- Header -->
		<div id="header">
			<div id="logo-wrapper">
				<div class="container">
						
					<!-- Logo -->
						<div id="logo">
							<h1><a href="#">SIPP</br><FONT SIZE=2>Sistema de Información entre Padres y Profesores</font></h6></a>
							<span><br><?php
									if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
										echo $_SESSION['nombre'];
									}
									else{
										header("Location: inicio.html");
									} ?></span>
						</div>
					
				</div>
			</div>			
			<div class="container">
				<!-- Nav -->
					<nav id="nav">
						<ul>
							<li><a href="ProfesorInicio.php">Inicio</a></li>
							<li><a href="ProfesorInfoAlumno.php">Mis alumnos</a></li>
							<li><a href="ProfesorMensajes.php">Mensajes</a></li>
							<li><a href="ProfesorDeberes.php">Gestionar deberes</a></li>
							<li><a href="ProfesorExamenes.php">Gestionar exámenes</a></li>
							<li class="active"><a  id="tutor" href="TutorInicio.php">Tutoría</a></li>
							<li><a href="logout.php">Cerrar sesión</a></li>
						</ul>
					</nav>
			</div>
		</div>
		<script>
            var tutor = document.getElementById("tutor");
            var es = <?php echo $_SESSION['tutor'];?>;
            if (es == 1){
                tutor.style.display = 'block'; 
            }
            else{
                tutor.style.display = 'none';
            }
        </script>
	<!-- Header -->
		
	<!-- Banner -->
		<div id="banner">
			<div class="container">
			</div>
		</div>
	<!-- /Banner -->

	<!-- Main -->
		<div id="main">

			<!-- Main Content -->
			<div class="container">
				<div class="row">
					<div id="sidebar1" class="3u">
						<section>
                            <header>
                                <h2>Circulares</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorEnviarCirculares.php">Enviar Circulares</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Citas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorVerCitas.php">Ver citas reservadas</a></li>
                                <li class="fa fa-angle-right"><a href="TutorGestionarHoras.php">Gestionar horas disponibles</a></li>
                            </ul>
                        </section>
                        <section>
                            <header>
                                <h2>Notas</h2>
                            </header>
                            <ul class="default alt">
                                <li class="fa fa-angle-right"><a href="TutorPrepararNotas.php">Preparar Notas Finales</a></li>
                            </ul>
                        </section>
					</div>
				
					<div class="9u skel-cell-important">
						<section>
							<header>
								<h2>Gestionar Horas para Citas con Padres</h2>
							</header>
							<form method="post" action="libreria/GestionarTutoria.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">AÑADIR NUEVA HORA</label>
        						</div>
        						<div class="col-xs-9">
        								<input type="date" name="fecha" id="fecha" class="form-control" required>
        								<input type="hidden" name="identificador" id="identificador" class="form-control" value="1">
            							<input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        						</div>
								<div class="col-xs-9">
        								<input type="time" name="hora" id="hora" class="form-control" required>		
        						</div>
								<br>
    							<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" name="add" id="add" class="btn btn-primary" value="Añadir">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<!--<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>-->
        							</div>
							    </div>
							    <div id="finishOK">
									<p>Hora añadida correctamente</p>
								</div>
								<div id="finishNO">
									<p>ERROR. LA hora ya existe</p>
								</div>
							</form>
						</section>
						<section>
							<form method="post" id="formulario" action="libreria/GestionarTutoria.php">
								<div class="form-group">
        							<label class="control-label col-xs-3">Fechas de tutoría planificadas:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selFechas' name="selFechas" onchange="javascript:realizaProceso()">
                							<option value"0">--Seleccionar fechas--</option>
                							<?php
                								if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){
                                                    $hora = new Hora("", "");
													$hora->abrirConexion();
    												$hora->cargarfechas($_SESSION['username']);
    												$hora->cerrarConexion();
                                                }
                                                else{
                                                    //Sesión finalizada, volver a login
                                                    header("Location: inicio.html");
                                                }
    										?>
            							</select>
            							<input type="hidden" name="identificador" id="identificador" class="form-control" value="2">
            							<input type="hidden" name="idProfesor" id="idProfesor" class="form-control">
        						</div>
        						<div class="form-group">
        							<label class="control-label col-xs-3">Horas de tutoría planificadas:</label>
        							<div class="col-xs-3">
            							<select class="form-control" id='selHoras' name="selHoras" onchange="javascript:realizaProcesoB()">
                							<option value"0">--Seleccionar horas--</option>
            							</select>
            							<input type="hidden" name="idHora" id="idHora" class="form-control">
        						</div>
        						<br>
    							<!--<div class="form-group">
        							<div class="col-xs-offset-3 col-xs-9">
            							<input type="submit" name="delete" id="delete" class="btn btn-primary" value="Eliminar">
            							<input type="reset" class="btn btn-default" value="Limpiar">
										<p id="botton">
											<a method="post" class="submit" href="#finish">ENVIAR</a>							
										</p>
        							</div>
							    </div>-->
							</form>
							<div class="form-group">
                                    <div class="col-xs-offset-3 col-xs-9">
                                        <Input type='Button' id="delete" class="btn btn-primary" value="Eliminar">
                                        <Input type='Button' id="reset-modal" class="btn btn-default" value="Limpiar">
                                    </div>
                            </div>
                            <dialog id="modal">
                                <p>¿Está seguro que desea eliminar esta hora?</p>
                                <button type='Button' id="accept-modal">Aceptar</button>
                                <button type='Button' id="close-modal">Cancelar</button>
                            </dialog>
                            <br>
                            <div id="finishOK2">
								<p>Hora eliminada correctamente</p>
							</div>
							<div id="finishNO2">
								<p>ERROR. LA hora no ha podido eliminarse</p>
							</div>
							<div id="finishNO3">
                                <p>ERROR. Tiene que seleccionar una hora para poder eliminarla</p>
                            </div>
                            <script>
                                var modal = document.getElementById('modal');
                                var seleccion = document.getElementById('selFechas');
                                var seleccion2 = document.getElementById('selHoras');
                                $('#delete').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value != "--Seleccionar fechas--"){
                                        if(seleccion2.options[seleccion2.selectedIndex].value > 0){
                                            modal.showModal();
                                        }
                                        else{
                                            location.href = "TutorGestionarHoras.php#finishNO3";
                                        }
                                    }
                                    else{
                                        location.href = "TutorGestionarHoras.php#finishNO3";
                                    }
                                });
                                $('#reset-modal').click(function() {
                                    if(seleccion.options[seleccion.selectedIndex].value != "--Seleccionar fechas--"){
                                        document.forms["formulario"].reset();
                                    }
                                });
                                $('#accept-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    document.forms["formulario"].submit();
                                    modal.close();
                                });
                                $('#close-modal').click(function() {
                                    var close = document.getElementById('close-modal');
                                    modal.close();
                                });
                            </script>
						</section>
					</div>
				</div>
			
			</div>
			<!-- /Main Content -->
			
		</div>
	<!-- /Main -->

	<!-- Copyright -->
		<div id="copyright">
			<div class="container">
				<section>
					SIPP: Sistema de información entre padres y profesores - Sandra López Valiente
				</section>
			</div>
		</div>


	</body>
</html>