<?php
include_once('ConexionBase.php');

class Asignatura{

	public $nombre;
	public $idProfesor;
	public $idCurso;
	
	public function Asignatura($nombre, $idProfesor, $idCurso){

		$this->nombre = $nombre;
		$this->idProfesor = $idProfesor;
		$this->idCurso = $idCurso;
		
	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearAsignatura(){

		/*SLV - Comprobar si la asignatura ya existe*/
		$this->miconexion->consulta("SELECT nombre FROM asignatura WHERE nombre='".$this->nombre."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Asignatura, realizar inserción*/
			$result = $this->miconexion->consulta2("INSERT INTO asignatura (nombre, idProfesor, idCurso) VALUES ('".$this->nombre."', '".$this->idProfesor."', '".$this->idCurso."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function editarAsignatura($id){

		//SLV - Editar asignatura
		$this->miconexion->consulta("UPDATE asignatura SET idProfesor='".$this->idProfesor."', idCurso='".$this->idCurso."' WHERE idAsignatura=".$id."");
		
	}

	public function obtenerDNIUsuario($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function actualizarTutores($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniMadre."'");
		$idUsuM = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idUsuario FROM usuario WHERE Usuario='".$this->dniPadre."'");
		$idUsuP = $this->miconexion->obtenerCampo();
		//Actualizar alumno
		$this->miconexion->consulta("UPDATE alumno SET IdUsuario1='".$idUsuM."', IdUsuario2='".$idUsuP."' WHERE DNI='".$this->dniAlumno."'");

	}


	public function eliminarAsignatura($id){

		//SLV - Eliminar asignatura
		$this->miconexion->consulta("DELETE FROM asignatura WHERE idAsignatura=".$id."");

	}

	public function cargarProfesores(){

		/*SLV - Cargar profesores del colegio y devolver en array*/
		$this->miconexion->consulta("SELECT idProfesor, colegiado FROM Profesor order by colegiado asc");
		$this->miconexion->cargarConsulta();

	}

	public function cargarAsignaturas(){

		/*SLV - Cargar todas las asignaturas del colegio y devolver en array*/
		$this->miconexion->consulta("SELECT idAsignatura, nombre FROM Asignatura order by nombre asc");
		$this->miconexion->cargarConsulta();

	}

	public function cargarAsignaturasProfesor($id){

		/*SLV - Cargar usuarios y devolver en array*/
		$this->miconexion->consulta("SELECT idAsignatura, nombre FROM Asignatura WHERE idProfesor='".$id."' order by nombre asc");
		$this->miconexion->cargarConsulta();

	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerInfoAsignatura($id){

		/*SLV - Obtenemos los datos de la asignatura a traves de su id*/
		$this->miconexion->consulta("SELECT idProfesor, idCurso FROM asignatura where IdAsignatura='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

}
?>

