<?php
include_once('ConexionBase.php');

class Examen{

	public $descripcion;
	public $fecha;
	public $valor;
	public $trimestre;
	
	public function Examen($descripcion, $fecha, $valor, $trimestre){

		$this->descripcion = $descripcion;
		$this->fecha = $fecha;
		$this->valor = $valor;
		$this->trimestre = $trimestre;
		
	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearExamen(){

		/*SLV - Comprobar si el deber ya existe*/
		$this->miconexion->consulta("SELECT descripcion FROM examen WHERE descripcion='".$this->descripcion."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe deber, realizar inserción*/
			$result = $this->miconexion->consulta2("INSERT INTO examen (descripcion, fecha, valor, trimestre) VALUES ('".$this->descripcion."', '".$this->fecha."', '".$this->valor."', '".$this->trimestre."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function crearExamenAlumno($idAsignatura, $idExamen){

		/*SLV - Obtener idCurso para sacar los alumnos*/
		$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura='".$idAsignatura."'");
		$curso = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso='".$curso."'");
		$idAlumnos = $this->miconexion->verconsulta2();;
		

		//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
		for($i = 0; $i < count($idAlumnos); $i++){
			$this->miconexion->consulta2("INSERT INTO examenAlumnoEnAsignatura (idExamen, idAsignatura, idAlumno) VALUES ('".$idExamen."', '".$idAsignatura."', '".$idAlumnos[$i]."')");
		}

	}

	public function crearAsignaturaImpartida($idA, $idC){

		/*Comprobar si la asignatura ya existe*/
		$this->miconexion->consulta("SELECT * FROM asignaturaImpartida WHERE idAsignatura='".$idA."' AND idCurso='".$idC."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Asignatura, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function EditarAsignaturaImpartida($idA, $idC){

		$this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");

	}

	public function editarExamen($id){

		//SLV
		$this->miconexion->consulta("UPDATE examen SET descripcion='".$this->descripcion."', fecha='".$this->fecha."', valor='".$this->valor."', trimestre='".$this->trimestre."' WHERE idExamen=".$id."");
		
	}

	public function obtenerDNIUsuario($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function correguirExamen($idE, $idAs, $idA, $nota, $comentarios){

		/*SLV - actualizamos deberalumno*/
		$this->miconexion->consulta("UPDATE examenAlumnoEnAsignatura SET nota='".$nota."', comentarios='".$comentarios."' WHERE idExamen=".$idE." AND idAsignatura=".$idAs." AND idAlumno=".$idA."");

	}


	public function eliminarExamen($id){

		//SLV
		$this->miconexion->consulta("DELETE FROM examen WHERE idExamen=".$id."");
		$this->miconexion->consulta("DELETE FROM examenAlumnoEnAsignatura WHERE idExamen=".$id."");
		
	}

	public function EliminarAsignaturaImpartida($id){

		$this->miconexion->consulta("DELETE FROM asignaturaImpartida WHERE idAsignatura=".$id."");

	}

	public function cargarAlumnos($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, asignatura WHERE idAsignatura='".$id."' AND alumno.idCurso = asignatura.idCurso order by apellidos, alumno.nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarExamenesProfesor($idA){

		/*SLV - Cargar deberes del profesor en una asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT distinct Examen.idExamen, Examen.descripcion FROM Examen, examenAlumnoEnAsignatura WHERE examenAlumnoEnAsignatura.idExamen = Examen.idExamen AND examenAlumnoEnAsignatura.idAsignatura=".$idA." order by descripcion asc");
		$idDeberes = $this->miconexion->verconsulta3();
		return $idDeberes;

	}

	public function cargarAsignaturasImpartidasProfesor($idA){

		/*Cargar usuarios y devolver en array*/
		$this->miconexion->consulta("SELECT idCurso FROM asignaturaImpartida where IdAsignatura='".$idA."'");
		$campo = $this->miconexion->verConsulta2();
		return $campo;
	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerInfoExamen($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT fecha, valor, trimestre FROM examen where IdExamen='".$id."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function cargarExamenAlumno($idAl, $idE, $idAs){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nota, comentarios FROM examenAlumnoEnAsignatura where IdExamen='".$idE."'  AND IdAlumno='".$idAl."' AND IdAsignatura='".$idAs."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function cargarExamenesPendientes($idAl, $hoy){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT examen.IdExamen, asignatura.Nombre, examen.fecha FROM asignatura, examen, examenAlumnoEnAsignatura WHERE idAlumno=".$idAl." and examen.IdExamen=examenAlumnoEnAsignatura.idExamen and examen.Fecha>'".$hoy."' and asignatura.IdAsignatura=examenAlumnoEnAsignatura.IdAsignatura ORDER BY asignatura.Nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function obtenerDescripcionExamen($idE){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT descripcion FROM examen where IdExamen=".$idE."");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function cargarExamenesCorregidos($idAl){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT examen.IdExamen, asignatura.Nombre, examen.fecha FROM asignatura, examen, examenAlumnoEnAsignatura WHERE idAlumno=".$idAl." and examen.IdExamen=examenAlumnoEnAsignatura.idExamen and examenAlumnoEnAsignatura.Nota<>0.00 and asignatura.IdAsignatura=examenAlumnoEnAsignatura.IdAsignatura ORDER BY asignatura.Nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarExamenes($id){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$hoy = date ("Y-m-d");
		$this->miconexion->consulta("SELECT distinct examen.IdExamen, asignatura.Nombre, examen.Descripcion, examen.Fecha FROM asignatura, examen, examenalumnoenasignatura WHERE examen.IdExamen=examenalumnoenasignatura.IdExamen and examen.Fecha>'".$hoy."' and asignatura.IdAsignatura=examenalumnoenasignatura.IdAsignatura and asignatura.IdProfesor=".$id." ORDER BY asignatura.Nombre");
		$this->miconexion->cargarConsulta5();
	
	}

	public function obtenerExamenCorregido($idAl, $idE){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT examen.descripcion, examen.Trimestre, examenalumnoenasignatura.Nota, examenalumnoenasignatura.Comentarios FROM examen, examenalumnoenasignatura WHERE examen.IdExamen=examenalumnoenasignatura.IdExamen and examenalumnoenasignatura.IdExamen=".$idE." and examenalumnoenasignatura.IdAlumno=".$idAl."");
		$campo = $this->miconexion->verconsulta5();
		return $campo;

	}

}
?>

