<?php
	session_start();

	include_once('Circular.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR CIRCULAR---------------------------------------*/

			/*SLV - Creamos circular*/
			$nuevoCircular = new Circular($_POST['titulo'], $_POST['texto']);
			$nuevoCircular->abrirConexion();
			$result = $nuevoCircular->crearCircular();
			$nuevoCircular->cerrarConexion();
			if($result == 0){/*El usuario ya existe*/
				header("Location: ../AdminCirculares.php#finishNO");
			}
			else {/*Usuario creado*/
				header("Location: ../AdminCirculares.php#finishOK");
			}

			/*Se manda correo al usuario con la contraseña*/

			/*---------------------------------------CREAR CIRCULAR---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR CIRCULAR---------------------------------------*/

			/*SLV - Creamos circular con los datos del formulario*/
			if($_POST['idC'] != ""){
				$nuevaCircular = new Circular("", $_POST['texto']);
				$nuevaCircular->abrirConexion();
				$nuevaCircular->editarCircular($_POST['idC']);
				$nuevaCircular->cerrarConexion();
				header("Location: ../AdminCircularesEditar.php#finishOK");
			}
			else{
				header("Location: ../AdminCircularesEditar.php#finishNO");
			}
			
			/*---------------------------------------EDITAR CIRCULAR---------------------------------------*/
			
		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR CIRCULAR---------------------------------------*/

			/*SLV - Creamos circular con los datos del formulario*/
			$nuevaCircular = new Circular("", $_POST['texto']);
			$nuevaCircular->abrirConexion();
			$nuevaCircular->eliminarCircular($_POST['idC']);
			$nuevaCircular->cerrarConexion();
			header("Location: ../AdminCircularesEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR CIRCULAR---------------------------------------*/

		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------ENVIAR CIRCULAR---------------------------------------*/

			/*SLV - Creamos usuario con los datos del formulario y la contraseña generada*/
			$hora= date ("H:i:s");
			$fecha= date ("Y-m-d");
			//echo '<script type="text/javascript"> alert('.$hora.')</script>';
			$nuevaCircular = new Circular("", "");
			$nuevaCircular->abrirConexion();
			$nuevaCircular->enviarCircular($_SESSION['username'], $_POST['selCircular'], $fecha, $hora);
			$nuevaCircular->cerrarConexion();
			header("Location: ../TutorEnviarCirculares.php?id=".$_POST["idProfesor"]."#finishOK");
			
			/*---------------------------------------ENVIAR CIRCULAR---------------------------------------*/

		}

		else if($_POST['identificador'] == 5){

			/*---------------------------------------FIRMAR CIRCULAR---------------------------------------*/

			//SLV - COMPROBAR CERTIFICADO ELECTRÓNICO
			
			//if (getenv('HTTPS')=='on'){ 
   				//$cert=$_SERVER['SSL_CLIENT_CERT']; 
   			//}
   			//else { 
   				//Leemos certificado
    			$f = fopen('../'.$_POST['certificado'], "r"); 
	 			$cert = fread($f, 8192); 
	 			fclose($f); 
 			//}	 

			/* Extraemos los datos del certificado usando nombres largos para los índices */ 
			$datos = openssl_x509_parse($cert,1);
			//echo '<script type="text/javascript"> alert('.$datos['issuer']['O'].')</script>'; 
			if($datos['issuer']['O'] == "DIRECCION GENERAL DE LA POLICIA" && $datos['issuer']['OU']	== "DNIE"){
				//Esto es un certificado con dni electrónico expedido por la policia
				//Comprobar si el dni del certificado coinciden con el usuario registrado y en la fecha de validez
				$dniCert = $datos['subject']['serialNumber'];
				$nuevaCircular = new Circular("", "");
				$nuevaCircular->abrirConexion();
				$certifica = $nuevaCircular->certificarPadre($dniCert, $_SESSION['username']);
				if($certifica == 0){
					//El certificado no es correcto
					$nuevaCircular->cerrarConexion();
					header("Location: ../PadreCirculares.php#finishNO2");
				}
				else{
					//certificado correcto, puede firmar
					$esta = $nuevaCircular->estaCircularFirmada($_POST['selAlumno'], $_POST['selCircular']);
					//echo '<script type="text/javascript"> alert('.$esta[0].')</script>';
					if($esta[0] == 0){
						$nuevaCircular->firmarCircular($_POST['selAlumno'], $_POST['selCircular']);
						$nuevaCircular->cerrarConexion();
						header("Location: ../PadreCirculares.php#finishOK");
					}
					else{
						$nuevaCircular->cerrarConexion();
						header("Location: ../PadreCirculares.php#finishNO");
					}
				}
				
			}
			//COMPROBAR CERTIFICADO ELECTRÓNICO//echo '<script type="text/javascript"> alert('.$hora.')</script>';
			
			/*---------------------------------------FIRMAR CIRCULAR---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR DATOS CIRCULAR---------------------------------------*/

				//SLV - Cargar datos de ciruclar
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$circular = new Circular("", "");
				$circular->abrirConexion();
    			$resultado = $circular->obtenerCircular($_POST['valor2']);
				echo implode('~',$resultado);
    			$circular->cerrarConexion();

				/*---------------------------------------CARGAR DATOS CIRCULAR---------------------------------------*/
	
			}

			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR CIRCULARES ALUMNO---------------------------------------*/

				//SLV - Cargar circulares de un alumno
				$circular = new Circular("", "");
				$circular->abrirConexion();
    			$resultado = $circular->cargarCircularesAlumno($_POST['valor2']);
    			$circular->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR CIRCULARES ALUMNO---------------------------------------*/
	
			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>

