<?php
	session_start();

	include_once('Curso.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR CURSO---------------------------------------*/

			/*SLV - Creamos curso con los datos del formulario*/
			$nuevoCurso = new Curso($_POST['nombre']);
			$nuevoCurso->abrirConexion();
			$result = $nuevoCurso->crearCurso();
			$nuevoCurso->cerrarConexion();
			if($result == 0){/*La asignatura ya existe*/
				header("Location: ../AdminCursos.php#finishNO");
			}
			else {/*Curso creado*/
				header("Location: ../AdminCursos.php#finishOK");
			}

			/*---------------------------------------CREAR CURSO---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR CURSO---------------------------------------*/

			/*SLV - Creamos curso con los datos del formulario y editamos*/
			//echo '<script type="text/javascript"> alert('.$_POST['idC'].')</script>';
			if($_POST['idC'] != ""){
				$nuevoCurso = new Curso($_POST['nombre']);
				$nuevoCurso->abrirConexion();
				$nuevoCurso->editarCurso($_POST['idC']);
				$nuevoCurso->cerrarConexion();
				header("Location: ../AdminCursosEditar.php#finishOK");
			}
			else{
				header("Location: ../AdminCursosEditar.php#finishNO");
			}
			
			
			/*---------------------------------------EDITAR CURSO---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR CURSO---------------------------------------*/

			/*SLV - Eliminamos curso*/
			$nuevoCurso = new Curso("");
			$nuevoCurso->abrirConexion();
			$nuevoCurso->eliminarCurso($_POST['idC']);
			$nuevoCurso->cerrarConexion();
			header("Location: ../AdminCursosEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR CURSO---------------------------------------*/

			//}
		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>

