<?php
	session_start();

	include_once('Deber.php');
	include_once('Alumno.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR DEBER---------------------------------------*/

			/*SLV - Creamos deber con los datos del formulario*/
			//echo '<script type="text/javascript"> alert('.$_POST['idProfesor'].')</script>'; 
			if($_POST['selAsignaturas'] != "--Seleccionar asignatura--"){
				if($_POST['selTrimestre'] != "--Seleccionar trimestre--"){
					$nuevoDeber = new Deber($_POST['tarea'], $_POST['entrega'], $_POST['valor'], $_POST['selTrimestre']);
					$nuevoDeber->abrirConexion();
					$result = $nuevoDeber->crearDeber();
					$nuevoDeber->crearDeberAlumno($_POST['selAsignaturas'], $result);
					$nuevoDeber->cerrarConexion();
					if($result == 0){/*El deber ya existe*/
						header("Location: ../ProfesorDeberesAnadir.php#finishNO");
					}
					else {/*Tarea creada*/
						/*Añadir los cursos a las asignaturas*/
						header("Location: ../ProfesorDeberesAnadir.php#finishOK");
					}
				} 
				else{
					header("Location: ../ProfesorDeberesAnadir.php#finishNO2");
				}
			} 
			else{
				header("Location: ../ProfesorDeberesAnadir.php#finishNO2");
			}

			/*---------------------------------------CREAR DEBER---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR DEBER---------------------------------------*/

			/*SLV - Creamos deber con los datos del formulario y editamos*/
			if($_POST['selDeberes'] != "--Seleccionar deber--"){
				if($_POST['selTrimestre'] != "--Seleccionar trimestre--"){
					$nuevoDeber = new Deber($_POST['tarea'], $_POST['entrega'], $_POST['valor'], $_POST['selTrimestre']);
					$nuevoDeber->abrirConexion();
					$nuevoDeber->editarDeber($_POST['selDeberes']);
					$nuevoDeber->cerrarConexion();
					header("Location: ../ProfesorDeberesEditar.php#finishOK");
				}
				else{
					header("Location: ../ProfesorDeberesEditar.php#finishNO");
				}
			}
			else{
				header("Location: ../ProfesorDeberesEditar.php#finishNO");
			}
			
			/*---------------------------------------EDITAR DEBER---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR DEBER---------------------------------------*/

			/*SLV - Eliminamos deber*/
			$nuevoDeber = new Deber("", "", "", "");
			$nuevoDeber->abrirConexion();
			$nuevoDeber->eliminarDeber($_POST['selDeberes']);
			$nuevoDeber->cerrarConexion();
			header("Location: ../ProfesorDeberesEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR DEBER---------------------------------------*/

		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------CORREGUIR DEBER---------------------------------------*/

			/*SLV - Corregir deber*/
			//echo '<script type="text/javascript"> alert('.$_POST['nota'].')</script>';
			if($_POST['selAsignaturas'] != "--Seleccionar asignaturas--"){
				if($_POST['selDeberes'] != "--Seleccionar deber--"){
					if($_POST['selAlumnos'] != "--Seleccionar alumno--"){
						$nuevoDeber = new Deber("", "", "", "");
						$nuevoDeber->abrirConexion();
						$nuevoDeber->correguirDeber($_POST['selDeberes'], $_POST['selAsignaturas'], $_POST['selAlumnos'], $_POST['nota'], $_POST['comentarios']);
						$nuevoDeber->cerrarConexion();
						header("Location: ../ProfesorDeberesCorregir.php#finishOK");
					}  
					else{
						header("Location: ../ProfesorDeberesCorregir.php#finishNO");
					} 
				}
				else{
					header("Location: ../ProfesorDeberesCorregir.php#finishNO");
				}
			}
			else{
				header("Location: ../ProfesorDeberesCorregir.php#finishNO");
			}
			/*---------------------------------------CORREGUIR DEBER---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR DEBERES DE ASIGNATURA---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
    			$resultado = $deber->cargarDeberesProfesor($_POST['valor2']);
    			$deber->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DEBERES DE ASIGNATURA---------------------------------------*/
	
			}


			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR DATOS DEBER---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
				$resultado = $deber->obtenerInfoDeber($_POST['valor2']);
				//echo $resultado;
				$deber->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DATOS DEBER---------------------------------------*/

			}

			if($_POST['valor1'] == 4){

				/*---------------------------------------CARGAR ALUMNOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
    			$resultado = $deber->cargarAlumnos($_POST['valor2']);
    			$deber->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR ALUMNOS---------------------------------------*/
	
			}

			if($_POST['valor1'] == 5){

				/*---------------------------------------CARGAR DATOS DEBER ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor4'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
    			$resultado = $deber->cargarDeberAlumno($_POST['valor2'], $_POST['valor3'], $_POST['valor4']);
    			$deber->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DATOS DEBER ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 6){

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->obtenerAsignaturasHijo($_POST['valor2']);
    			$alumno->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR ASIGNATURAS ALUMNO---------------------------------------*/

			}

			if($_POST['valor1'] == 7){

				/*---------------------------------------CARGAR DEBERES ALUMNO---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>'; 
				$deber = new Deber("", "", "", "");
				$hoy = date ("Y-m-d");
				$deber->abrirConexion();
    			$resultado = $deber->cargarDeberesPendientes($_POST['valor2'], $hoy);
    			$deber->cerrarConexion();
    			if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DEBERES ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 8){

				/*---------------------------------------CARGAR DESCRIPCION DEBER---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
				$resultado = $deber->obtenerDescripcionTarea($_POST['valor2']);
				echo $resultado;
				//echo implode('~',$resultado);
    			$deber->cerrarConexion();

				/*---------------------------------------CARGAR DESCRIPCION DEBER---------------------------------------*/

			}

			if($_POST['valor1'] == 9){

				/*---------------------------------------CARGAR DEBERES CORREGUIDOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
				$resultado = $deber->cargarDeberesCorreguidos($_POST['valor2']);
				$deber->cerrarConexion();
				if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DEBERES CORREGUIDOS---------------------------------------*/

			}

			if($_POST['valor1'] == 10){

				/*---------------------------------------CARGAR INFO DEBERES CORREGUIDOS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$deber = new Deber("", "", "", "");
				$deber->abrirConexion();
				$resultado = $deber->obtenerTareaCorreguida($_POST['valor2'], $_POST['valor3']);
				//echo $resultado;
				$deber->cerrarConexion();
				if($resultado == null){
    				echo null;
    			}
    			else{
    				echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR INFO DEBERES CORREGUIDOS---------------------------------------*/

			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }
	
?>

