<?php
	session_start();

	include('Profesor.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			/*---------------------------------------CREAR PROFESOR---------------------------------------*/

			//SLV - Crear profesor con los datos del formulario
			$nuevoProfesor = new Profesor($_POST['colegiado'], $_POST['nombre'], $_POST['apellidos'], $_POST['telefono'], $_POST['direccion'], "");
			$nuevoProfesor->abrirConexion();
			$result = $nuevoProfesor->crearProfesor();
			if($result == 0){/*El usuario ya existe*/
				$nuevoProfesor->cerrarConexion();
				header("Location: ../AdminProfesores.php#finishNO");
			}
			else {/*Usuario creado*/
				if($_POST['selCurso'] > 0){
					$result2 = $nuevoProfesor->crearTutor($result, $_POST['selCurso']);
					$nuevoProfesor->cerrarConexion();
					if($result2 == 0){
						//Profesor creado pero ya tiene asignado un tutor -- NO se va dar nunca
						header("Location: ../AdminProfesores.php#finishNO2");
					}
					else{
						//PRofesor y tutor asignado
						header("Location: ../AdminProfesores.php#finishOK");
					}
				}
				else{
					//Profesor creado sin tutor
					$nuevoProfesor->cerrarConexion();
					header("Location: ../AdminProfesores.php#finishOK");
				}
				
			}

			/*Se manda correo al usuario con la contraseña*/

			/*---------------------------------------CREAR PROFESOR---------------------------------------*/

		}

		else if($_POST['identificador'] == 2){

			/*---------------------------------------EDITAR PROFESOR---------------------------------------*/

			/*SLV - Editar profesor*/
			if($_POST['idC'] != ""){
				$profesor = new Profesor("", "", $_POST['apellidos'], $_POST['telefono'], $_POST['direccion'], "");
				$profesor->abrirConexion();
				$profesor->editarProfesor($_POST['idC']);
				if($_POST['selCurso'] == 0){
					//Eliminar registro de tutor
					$profesor->eliminarTutor($_POST['idC']);
				}
				else{
					//Editar registro tutor
					$profesor->editarTutor($_POST['idC'], $_POST['selCurso']);
				}
				$profesor->cerrarConexion();
				header("Location: ../AdminProfesoresEditar.php#finishOK");
			}
			else{
				header("Location: ../AdminProfesoresEditar.php#finishNO");
			}
			
			/*---------------------------------------EDITAR PROFESOR---------------------------------------*/

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ELIMINAR PROFESOR---------------------------------------*/

			/*SLV - Eliminar profesor*/
			$nuevoProfesor = new Profesor("", "", "", "", "", "");
			$nuevoProfesor->abrirConexion();
			$nuevoProfesor->eliminarProfesor($_POST['idC']);
			$nuevoProfesor->eliminarTutor($_POST['idC']);
			$nuevoProfesor->cerrarConexion();
			header("Location: ../AdminProfesoresEliminar.php#finishOK");
			
			/*---------------------------------------ELIMINAR PROFESOR---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR DATOS PROFESOR---------------------------------------*/

				//SLV - Obtener datos profesor
				$profesor = new Profesor("", "", "", "", "", "");
				$profesor->abrirConexion();
    			$resultado = $profesor->obtenerDatosProfesor($_POST['valor2']);
    			echo implode('~',$resultado);
    			$profesor->cerrarConexion();

				/*---------------------------------------CARGAR DATOS PROFESOR---------------------------------------*/
	
			}

			if($_POST['valor1'] == 3){

				/*---------------------------------------OBTENER TUTOR---------------------------------------*/

				//SLV - Obtener curso del que es tutor si lo es
				$profesor = new Profesor("", "", "", "", "", "");
				$profesor->abrirConexion();
    			$resultado = $profesor->obtenerTutor($_POST['valor2']);
    			echo $resultado;
    			$profesor->cerrarConexion();

				/*---------------------------------------CARGAR DATOS PROFESOR---------------------------------------*/
	
			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }

?>

