<?php
	session_start();

	include_once('Hora.php');
	include_once('Alumno.php');

	$now = time();
	if($now > $_SESSION['expire']){
		session_destroy();
	}
	else{
        $_SESSION['start'] = time();
        $_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;
    }

	if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true){

		if($_POST['identificador'] == 1){

			if($_POST['add']){

				/*---------------------------------------CREAR HORA---------------------------------------*/

				/*SLV - Creamos deber con los datos del formulario*/
				//echo '<script type="text/javascript"> alert('.$_POST['idProfesor'].')</script>';   
				$nuevaHora = new Hora($_POST['fecha'], $_POST['hora']);
				$nuevaHora->abrirConexion();
				$result = $nuevaHora->crearHora($_SESSION['username']);
				$nuevaHora->cerrarConexion();
				if($result == 0){
					header("Location: ../TutorGestionarHoras.php#finishNO");
				}
				else{
					header("Location: ../TutorGestionarHoras.php#finishOK");
				}

				/*---------------------------------------CREAR HORA---------------------------------------*/

			}

		}

		else if($_POST['identificador'] == 2){

			//if($_POST['delete']){

				/*---------------------------------------ELIMINAR HORA---------------------------------------*/

				/*SLV - Creamos deber con los datos del formulario*/
				//echo '<script type="text/javascript"> alert('.$_POST['idHora'].')</script>';   
				$hora = new Hora("", "");
				$hora->abrirConexion();
				$result = $hora->eliminarHora($_SESSION['username'], $_POST['idHora']);
				$hora->cerrarConexion();
				header("Location: ../TutorGestionarHoras.php#finishOK2");

				/*---------------------------------------ELIMINAR HORA---------------------------------------*/

			//}

		}

		else if($_POST['identificador'] == 3){

			/*---------------------------------------ENVIAR NOTAS---------------------------------------*/

			//SLV
			//echo '<script type="text/javascript"> alert('.$result.')</script>';   
			$ano= date ("Y");
			$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
			$alumno->abrirConexion();
			$result = $alumno->notasEstanEnviadas($_POST['selAlumnos'], $ano);
			//echo '<script type="text/javascript"> alert('.$_POST['selTrimestre'].')</script>';   
			if($result >= $_POST['selTrimestre']){
				$alumno->cerrarConexion();
				header("Location: ../TutorPrepararNotas.php#finishNO");
			}
			else{
				$alumno->enviarNotas($_POST['selAlumnos'], $_POST['selTrimestre'], $ano);
				$alumno->cerrarConexion();
				header("Location: ../TutorPrepararNotas.php#finishOK");
			}
			
			/*---------------------------------------ENVIAR NOTAS---------------------------------------*/

		}

		else if($_POST['identificador'] == 4){

			/*---------------------------------------FIRMAR NOTAS---------------------------------------*/

			//SLV - COMPROBAR CERTIFICADO ELECTRÓNICO
			
			/*if (getenv('HTTPS')=='on'){ 
   				$cert=$_SERVER['SSL_CLIENT_CERT']; 
   			}
   			else { */
   				//Leemos certificado
    			$f = fopen('../'.$_POST['certificado'], "r"); 
	 			$cert = fread($f, 8192); 
	 			fclose($f); 
 			//}	 

			/* Extraemos los datos del certificado usando nombres largos para los índices */ 
			$datos = openssl_x509_parse($cert,1);
			//echo '<script type="text/javascript"> alert('.$datos['issuer']['O'].')</script>'; 
			if($datos['issuer']['O'] == "DIRECCION GENERAL DE LA POLICIA" && $datos['issuer']['OU']	== "DNIE"){
				//Esto es un certificado con dni electrónico expedido por la policia
				//Comprobar si el dni del certificado coinciden con el usuario registrado y en la fecha de validez
				$dniCert = $datos['subject']['serialNumber'];
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$certifica = $alumno->certificarPadre($dniCert, $_SESSION['username']);
				if($certifica == 0){
					//El certificado no es correcto
					$alumno->cerrarConexion();
					header("Location: ../PadreConsultarNotas.php#finishNO2");
				}
				else{
					//certificado correcto, puede firmar
					$ano= date ("Y");
					$result = $alumno->notasEstanFirmadas($_POST['selAlumnos'], $ano);
					//echo '<script type="text/javascript"> alert('.$_POST['selTrimestre'].')</script>';   
					if($result >= $_POST['selTrimestre']){
						$alumno->cerrarConexion();
						header("Location: ../PadreConsultarNotas.php#finishNO");
					}
					else{
						$alumno->FirmarNotas($_POST['selAlumnos'], $_POST['selTrimestre'], $ano);
						$alumno->cerrarConexion();
						header("Location: ../PadreConsultarNotas.php#finishOK");
					}
				}
				
			}
			//COMPROBAR CERTIFICADO ELECTRÓNICO
			
			/*---------------------------------------FIRMAR NOTAS---------------------------------------*/

		}

		else if($_POST['identificador'] == 5){

			/*---------------------------------------RESERVAR HORA---------------------------------------*/

			//SLV - Reservar hora con el tutor de su hijo
			//echo '<script type="text/javascript"> alert('.$_POST['motivo'].')</script>';   
			$hora = new Hora("", "");
			$hora->abrirConexion();
			$result = $hora->crearCita($_POST['idHora'], $_POST['selAlumno'], $_POST['motivo']);
			if($result = 0){
				$hora->cerrarConexion();
				header("Location: ../PadreCitas.php#finishNO");
			}
			else{
				$hora->reservarHora($_POST['idHora']);
				$hora->cerrarConexion();
				header("Location: ../PadreCitas.php#finishOK");
			}
			
			/*---------------------------------------RESERVAR HORA---------------------------------------*/

		}

		else{

			if($_POST['valor1'] == 2){

				/*---------------------------------------CARGAR HORAS---------------------------------------*/

				//SLV
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';   
				$hora = new Hora("", "");
				$hora->abrirConexion();
    			$resultado = $hora->cargarHoras($_SESSION['username'], $_POST['valor2']);
    			$hora->cerrarConexion();
    			if($resultado == null){
	    			echo null;
    			}
    			else{
	    			echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR HORAS---------------------------------------*/
	
			}


			if($_POST['valor1'] == 3){

				/*---------------------------------------CARGAR DEBERES---------------------------------------*/

				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->obtenerDeberes($_POST['valor2']);
				if($resultado != 0){
	    			echo implode('~',$resultado);
    			}
    			else{
	    			echo 0;
    			}
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR DEBERES---------------------------------------*/

			}

			if($_POST['valor1'] == 4){

				/*---------------------------------------CARGAR EXAMENES---------------------------------------*/

				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->obtenerExamenes($_POST['valor2'], $_POST['valor3']);
				if($resultado != 0){
	    			echo implode('~',$resultado);
    			}
    			else{
    				echo 0;
    			}
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR EXAMENES---------------------------------------*/
	
			}

			if($_POST['valor1'] == 5){

				/*---------------------------------------CARGAR NOTAS ALUMNO---------------------------------------*/

				//SLV - Consultar notas
				$ano= date ("Y");
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$alumno = new Alumno("", "", "", "", "", "", "", "", "", "");
				$alumno->abrirConexion();
				$resultado = $alumno->cargarNotasAlumno($_POST['valor2'], $_POST['valor3'], $ano);
				if($resultado != 0){
    				echo implode('~',$resultado);
    			}
    			else{
    				echo 0;
    			}
    			$alumno->cerrarConexion();

				/*---------------------------------------CARGAR NOTAS ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 6){

				/*---------------------------------------CARGAR FECHAS TUTOR DEL ALUMNO---------------------------------------*/

				//SLV - Cargar fechas establecidas por el tutor de su hijo
				//echo '<script type="text/javascript"> alert('.$_POST['valor2'].')</script>';  
				$fecha= date ("Y-m-d"); 
				$hora = new Hora("", "");
				$hora->abrirConexion();
    			$resultado = $hora->cargarfechasDelTutor($_POST['valor2'], $fecha);
    			$hora->cerrarConexion();
    			if($resultado == null){
	    			echo 0;
    			}
    			else{
	    			echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR FECHAS TUTOR DEL ALUMNO---------------------------------------*/
	
			}

			if($_POST['valor1'] == 7){

				/*---------------------------------------CARGAR HORAS DEL TUTOR---------------------------------------*/

				//SLV - Cargar horas establecidas por el tutor de su hijo para una fecha 
				//echo '<script type="text/javascript"> alert('.$_POST['valor3'].')</script>';   
				$hora = new Hora("", "");
				$hora->abrirConexion();
    			$resultado = $hora->cargarHorasDelTutor($_POST['valor2'], $_POST['valor3']);
    			$hora->cerrarConexion();
    			if($resultado == null){
	    			echo null;
    			}
    			else{
	    			echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR HORAS DEL TUTOR---------------------------------------*/
	
			}

			if($_POST['valor1'] == 8){

				/*---------------------------------------CARGAR DATOS CITA---------------------------------------*/

				//SLV
				$hora = new Hora("", "");
				$hora->abrirConexion();
    			$resultado = $hora->cargarDatosCita($_POST['valor2']);
				$hora->cerrarConexion();
    			if($resultado == null){
	    			echo 0;
    			}
    			else{
	    			echo implode('~',$resultado);
    			}

				/*---------------------------------------CARGAR DATOS CITA--------------------------------------*/
	
			}

		}
                                                    
    }

    else{
    
    	//Sesión finalizada, volver a login
    	header("Location: ../inicio.html");

    }
	
?>

