<?php
include_once('ConexionBase.php');

class Mensaje{

	public $asunto;
	public $mensaje;
	public $idAsignatura;
	public $idAlumno;
	public $fecha;
	public $hora;
	public $enviado;

	public function Mensaje($asunto, $mensaje, $idAsignatura, $idAlumno, $fecha, $hora, $enviado){

		$this->asunto = $asunto;
		$this->mensaje = $mensaje;
		$this->idAsignatura = $idAsignatura;
		$this->idAlumno = $idAlumno;
		$this->fecha = $fecha;
		$this->hora = $hora;
		$this->enviado = $enviado;
		
	}

	public function abrirConexion(){

		/*require ("clase_mysql.inc.php");*/
		$this->miconexion = new DB_mysql ;
		$this->miconexion->conectar("basesipp", "localhost", "Sandra", "Xandra4505");

	}

	public function cerrarConexion(){

		/*Cerramos conexión*/
		$this->miconexion->cerrarConexion();

	}

	public function crearMensaje($tutor, $idP){

		/*SLV - Si sólo se ha selecciconado un alumno*/
		if($tutor == 1){
			if($this->idAlumno > 0){
				$result = $this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$this->idAlumno.", ".$idP.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."', '".$this->mensaje."', '".$this->asunto."', ".$tutor.")");
			}
			else{
				/*Si se ha seleccionado todos los alumnos mandar a todos*/
				$this->miconexion->consulta("SELECT idCurso FROM tutor WHERE idProfesor=".$idP."");
				$curso = $this->miconexion->obtenerCampo();

				$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso=".$curso."");
				$idAlumnos = $this->miconexion->verconsulta2();;
		
				//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
				for($i = 0; $i < count($idAlumnos); $i++){
					$this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$idAlumnos[$i].", ".$idP.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."',  '".$this->mensaje."', '".$this->asunto."', ".$tutor.")");
				}

			}
		}
		else{
			if($this->idAlumno > 0){
				$result = $this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$this->idAlumno.", ".$this->idAsignatura.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."', '".$this->mensaje."', '".$this->asunto."', ".$tutor.")");
			}
			else{
				/*Si se ha seleccionado todos los alumnos mandar a todos*/
				$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura=".$this->idAsignatura."");
				$curso = $this->miconexion->obtenerCampo();

				$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso=".$curso."");
				$idAlumnos = $this->miconexion->verconsulta2();;
		
				//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
				for($i = 0; $i < count($idAlumnos); $i++){
					$this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$idAlumnos[$i].", ".$this->idAsignatura.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."',  '".$this->mensaje."', '".$this->asunto."', ".$tutor.")");
				}

			}
		}
		

		return $result;

	}

	public function crearMensajePadre($tutor){

		/*Insertar mensaje*/
		if($tutor == 0){
			$this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$this->idAlumno.", ".$this->idAsignatura.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."',  '".$this->mensaje."', '".$this->asunto."', 0)");
		}
		else{
			$this->miconexion->consulta("SELECT tutor.idProfesor FROM tutor, alumno WHERE tutor.IdCurso=alumno.idCurso and alumno.idAlumno=".$this->idAlumno."");
			$prof = $this->miconexion->obtenerCampo();
			$this->miconexion->consulta("INSERT INTO mensajeAlumnoProfesor (IdAlumno, IdAsignatura, Fecha, Hora, Enviado, Mensaje, asunto, tutor) VALUES (".$this->idAlumno.", ".$prof.", '".$this->fecha."', '".$this->hora."', '".$this->enviado."',  '".$this->mensaje."', '".$this->asunto."', 1)");
		}
			
	}

	public function crearDeberAlumno($idAsignatura, $idTarea){

		/*Obtener idCurso para sacar los alumnos*/
		$this->miconexion->consulta("SELECT idCurso FROM asignatura WHERE idAsignatura='".$idAsignatura."'");
		$curso = $this->miconexion->obtenerCampo();

		$this->miconexion->consulta("SELECT idAlumno FROM alumno WHERE idCurso='".$curso."'");
		$idAlumnos = $this->miconexion->verconsulta2();;
		

		//Insertar registro para cada alumno que esté matriculado en esa asignatura de ese curso
		for($i = 0; $i < count($idAlumnos); $i++){
			$this->miconexion->consulta2("INSERT INTO deberAlumnoEnAsignatura (idTarea, idAsignatura, idAlumno) VALUES ('".$idTarea."', '".$idAsignatura."', '".$idAlumnos[$i]."')");
		}

	}

	public function crearAsignaturaImpartida($idA, $idC){

		/*Comprobar si la asignatura ya existe*/
		$this->miconexion->consulta("SELECT * FROM asignaturaImpartida WHERE idAsignatura='".$idA."' AND idCurso='".$idC."'");
		$numReg = $this->miconexion->numRegistros();

		if($numReg == 0){/*Si no existe Asignatura, realizar inserción*/
			$result = $this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");
		}
		else{/*No realizarla e inicializar variable*/
			$result = 0;
		}

		return $result;

	}

	public function EditarAsignaturaImpartida($idA, $idC){

		$this->miconexion->consulta("INSERT INTO asignaturaImpartida (idAsignatura, idCurso) VALUES ('".$idA."', '".$idC."')");

	}

	public function editarDeber($id){

		$this->miconexion->consulta("UPDATE deber SET tarea='".$this->tarea."', entrega='".$this->entrega."', valor='".$this->valor."', trimestre='".$this->trimestre."' WHERE idTarea=".$id."");
		
	}

	public function obtenerDNIUsuario($id){

		/*Obtenemos id del padre y madre*/
		$this->miconexion->consulta("SELECT usuario FROM usuario WHERE IdUsuario='".$id."'");
		$idUsu = $this->miconexion->obtenerCampo();

		return $idUsu;

	}

	public function mensajeLeido($idAl, $idAs, $fecha, $hora){

		/*SLV - actualizamos deberalumno*/
		$this->miconexion->consulta("UPDATE mensajeAlumnoProfesor SET Leido=1 WHERE idAlumno=".$idAl." AND idAsignatura=".$idAs." AND Fecha='".$fecha."' AND Hora='".$hora."'");

	}


	public function eliminarDeber($id){

		$this->miconexion->consulta("DELETE FROM deber WHERE idTarea=".$id."");
		
	}

	public function EliminarAsignaturaImpartida($id){

		$this->miconexion->consulta("DELETE FROM asignaturaImpartida WHERE idAsignatura=".$id."");

	}

	public function cargarAlumnos($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, asignatura WHERE idAsignatura='".$id."' AND alumno.idCurso = asignatura.idCurso order by apellidos, alumno.nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarAlumnosTutor($id){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT idAlumno, apellidos, alumno.nombre FROM alumno, tutor WHERE alumno.idCurso = tutor.idCurso and tutor.idProfesor=".$id." order by apellidos, alumno.nombre asc");
		$campo = $this->miconexion->verconsulta4();
		return $campo;

	}

	public function cargarMensajesAlumnoSinLeer($idAl){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAsignatura, asignatura.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora, mensajeAlumnoProfesor.tutor FROM mensajeAlumnoProfesor, asignatura WHERE mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAlumno='".$idAl."' and mensajeAlumnoProfesor.Enviado='0' and mensajeAlumnoProfesor.Leido='0' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta7();
		return $campo;

	}

	public function cargarMensajesProfesorSinLeer($idAs){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAlumno, alumno.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora FROM mensajeAlumnoProfesor, asignatura, alumno WHERE alumno.idAlumno=mensajeAlumnoProfesor.idAlumno and mensajeAlumnoProfesor.tutor = 0 and mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAsignatura='".$idAs."' and mensajeAlumnoProfesor.Enviado='1' and mensajeAlumnoProfesor.Leido='0' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta6();
		return $campo;

	}

	public function cargarMensajesProfesorSinLeerTutor($idAs){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAlumno, alumno.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora FROM mensajeAlumnoProfesor, asignatura, alumno WHERE alumno.idAlumno=mensajeAlumnoProfesor.idAlumno and mensajeAlumnoProfesor.tutor = 1 and mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAsignatura='".$idAs."' and mensajeAlumnoProfesor.Enviado='1' and mensajeAlumnoProfesor.Leido='0' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta6();
		return $campo;

	}

	public function cargarMensajesTodos($idAl){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAsignatura, asignatura.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora, mensajeAlumnoProfesor.tutor FROM mensajeAlumnoProfesor, asignatura WHERE mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAlumno='".$idAl."' and mensajeAlumnoProfesor.Enviado='0' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta7();
		return $campo;

	}

	public function cargarMensajesTodosProfesor($idAs){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAlumno, alumno.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora, mensajeAlumnoProfesor.tutor FROM mensajeAlumnoProfesor, asignatura, alumno WHERE alumno.idAlumno=mensajeAlumnoProfesor.idAlumno and mensajeAlumnoProfesor.tutor=0 and mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAsignatura='".$idAs."' and mensajeAlumnoProfesor.Enviado='1' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta7();
		return $campo;

	}

	public function cargarMensajesTodosTutor($idAs){

		/*SLV - Cargar alumnos de la asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT mensajeAlumnoProfesor.idAlumno, alumno.Nombre, mensajeAlumnoProfesor.asunto, mensajeAlumnoProfesor.fecha, mensajeAlumnoProfesor.hora, mensajeAlumnoProfesor.tutor FROM mensajeAlumnoProfesor, asignatura, alumno WHERE alumno.idAlumno=mensajeAlumnoProfesor.idAlumno and mensajeAlumnoProfesor.tutor=1 and mensajeAlumnoProfesor.idAsignatura=asignatura.idAsignatura AND mensajeAlumnoProfesor.idAsignatura='".$idAs."' and mensajeAlumnoProfesor.Enviado='1' order by mensajeAlumnoProfesor.fecha asc");
		$campo = $this->miconexion->verconsulta7();
		return $campo;

	}

	public function cargarDeberesProfesor($idA){

		/*Cargar deberes del profesor en una asignatura y devolver en array*/
		$this->miconexion->consulta("SELECT distinct Deber.idTarea, Deber.tarea FROM Deber, deberAlumnoEnAsignatura WHERE deberAlumnoEnAsignatura.idTarea = Deber.idTarea AND deberAlumnoEnAsignatura.idAsignatura=".$idA." order by tarea asc");
		$idDeberes = $this->miconexion->verconsulta3();
		return $idDeberes;

	}

	public function cargarAsignaturasImpartidasProfesor($idA){

		/*Cargar usuarios y devolver en array*/
		$this->miconexion->consulta("SELECT idCurso FROM asignaturaImpartida where IdAsignatura='".$idA."'");
		$campo = $this->miconexion->verConsulta2();
		return $campo;
	}

	public function obtenerDatosUsuario($id){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT usuario FROM usuario where IdUsuario='".$id."'");
		$campo = $this->miconexion->obtenerCampo();
		return $campo;

	}

	public function obtenerDatosMensaje($idAl, $idAs, $fecha, $hora){

		/*SLV - Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT asunto, mensaje, tutor FROM mensajeAlumnoProfesor where IdAlumno=".$idAl." and IdAsignatura=".$idAs." and Fecha='".$fecha."' and Hora='".$hora."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

	public function cargarDeberAlumno($idAl, $idD, $idAs){

		/*Obtenemos los datos del usuario a traves de su id*/
		$this->miconexion->consulta("SELECT nota, comentarios FROM deberAlumnoEnAsignatura where IdTarea='".$idD."'  AND IdAlumno='".$idAl."' AND IdAsignatura='".$idAs."'");
		$campo = $this->miconexion->cargarDatos();
		return $campo;

	}

}
?>

