<?php 
	session_start();

	include ('libreria/usuario.php');
	/*Creamos un nuevo usuario con los datos introducidos en el formulario*/
	$usuarioAIdentificar = new usuario($_POST['username'], $_POST['password'], 0, "");
	/*Abrimos conexión BD y comprobamos si el usuario existe*/
	$usuarioAIdentificar->abrirConexion();
	//SLV - COMPROBAR CERTIFICADO ELECTRÓNICO
			
			//if (getenv('HTTPS')=='on'){ 
   				//$cert=$_SERVER['SSL_CLIENT_CERT']; 
   			//}
   			//else { 
   				//Leemos certificado
    			$f = fopen($_POST['certificado'], "r"); 
	 			$cert = fread($f, 8192); 
	 			fclose($f); 
 			//}	 

			/* Extraemos los datos del certificado usando nombres largos para los índices */ 
			$datos = openssl_x509_parse($cert,1);
			//echo '<script type="text/javascript"> alert('.$datos['issuer']['O'].')</script>'; 
			if($datos['issuer']['O'] == "DIRECCION GENERAL DE LA POLICIA" && $datos['issuer']['OU']	== "DNIE"){
				//Esto es un certificado con dni electrónico expedido por la policia
				//Comprobar si el dni del certificado coinciden con el usuario registrado y en la fecha de validez
				$dniCert = $datos['subject']['serialNumber'];
				echo '<script type="text/javascript"> alert('.$dniCert.')</script>';
				if($dniCert == $_POST['username']){
					$correcto = $usuarioAIdentificar->UsuarioCorrecto();
					if($correcto == 0){/*No existe registro*/
						/*Hacer mensaje de usuario/contraseña erróneos*/
						$usuarioAIdentificar->cerrarConexion();
						header("Location: inicio.html#finishNO");
					}
					else{/*Existe registro*/
						/*Obtenemos el id del usuario*/
						$idUsu = $usuarioAIdentificar->obtenerIdUsuario();
						$recuperada = $usuarioAIdentificar->obtenerRecuperada();

						$_SESSION['loggedin'] = true;
						$_SESSION['username'] = $idUsu;
						$_SESSION['nombre'] = $_POST['username'];
						$_SESSION['start'] = time();
						$_SESSION['expire'] = $_SESSION['start'] + (5 * 60) ;

						if($recuperada == 0){
							$usuarioAIdentificar->cerrarConexion();
							header("Location: CambiaContrasenia.php");
						}
						else{

							if($correcto == 1){/*Menú admin*/
								$usuarioAIdentificar->cerrarConexion();
								header("Location: AdminInicio.php");
							}
							else if($correcto == 2){/*Menú padre*/
								$usuarioAIdentificar->cerrarConexion();
								header("Location: PadreInicio.php");
							}
							else if($correcto == 3){/*Menú profesor*/
								$idUsu = $usuarioAIdentificar->obtenerIdProfesor($idUsu);
								$esTutor = $usuarioAIdentificar->esTutorElUsuario($idUsu);
								$_SESSION['tutor'] = $esTutor;
								$_SESSION['username'] = $idUsu;
								$usuarioAIdentificar->cerrarConexion();
								header("Location: ProfesorInfoAlumno.php");
							}
							else{/*Error de dato en la BD*/
								$usuarioAIdentificar->cerrarConexion();
								header('Location: inicio.html');
							}

						}
		
					}
				}
				else{
					$usuarioAIdentificar->cerrarConexion();
					header("Location: inicio.html#finishNO2");
				}
				
			}
			else{
				header("Location: inicio.html#finishNO2");
			}
			//COMPROBAR CERTIFICADO ELECTRÓNICO//

?>